
xVersion" 2012.10.10.1"

module compiler_tests

  #document compiler_tests

    // Tests tests ...

  #endDoc


private

  uses
    fatal queues timers hw_interface utils sets strings numconvert
    memory
  endUses

  {
    // " and a string" 2 1 " testing string substitutions <%>, <%> ... <%>" format message

    variable list_level

    0 list_level !


    : list_level++ ( -- )

      list_level @
      1 +
      list_level !
    ;


    : list_level-- ( -- f )

      list_level @ 1 -                    // Get current level, and decrement
      dup 0 >
      if                                  // > 0
        list_level !                      // so store it
        false                             // and return false (not end of nesting yet)
      else                                // <= 0
        drop true                         // dont store, end return true (end of nesting)
      endif
    ;


    : [(  ( -- nHere nState str<marker> ) // ]

      Here
      Compiling?
      " <marker>"
      postpone [                          // ] // compiler off
      list_level++                        // One level deeper
    ;
      immediate


    : )] ( nHere nState str<marker> -- )

      begin
        dup " <marker>" = not
      while
        .
      repeat
      drop                                // Were we compiling before?
      list_level-- and                    // and is all nesting done?
      if
        ]                                 // Restart compiler then
      endif
    ;

    [( " and a string. " 2 1 " testing string substitutions <%>, <%> ... <%>" format )] message
  }

  // //////////////////////////////////////////////////////////////////////////

  variable      WakeUpReason        #// Used to get the reason for start up.
  varInterface  WakeUpReason
  &123 value    noot

  // //////////////////////////////////////////////////////////////////////////

  variable      test_id             #// Current test id
  varInterface  test_id

  2variable     test                #// A test variable
  varInterface  test                 // !! single variabbele interface, not double

   20 constant aap.size
  120 constant beep.size

  aap.size  array  aap              #// A test array
  beep.size array  beep             #// Another test array

  // String testing

  " ROM test string 1"  string rom_str_1
  " ROM test string 2"  string rom_str_2
  $ramVar                     $ram_var_1
  $ramVar                     $ram_var_2


  // //////////////////////////////////////////////////////////////////////////

  : ?=         ( w w --   ) = assert              ;
  : ??         ( f   --   )   assert ?StackEmpty  ;
  : TestExit   (     -- 1 ) 1 exit 0 nip          ;
  : aap.erase  (    --    ) aap  aap.size  erase  ;
  : beep.erase (    --    ) beep beep.size erase  ;


  : fib ( n -- n )

    dup 2 <
    if
      exit
    endIf
    1- dup recurse
    swap
    1- recurse +
  ;


  // //////////////////////////////////////////////////////////////////////////

  : testBuiltins ( -- )


    try

    0000 test_id!

      aap.size  12 >= assert
      beep.size 12 >= assert

    .// ==== 24xxxx.4th

    1000 test_id!

      10     1 +                                          11  = ??
      10     1 -                                           9  = ??
      65535 10  u*         [ 65535 10 * 65535 and literal ]   = ??
      100    9 u/                                         11  = ??
      100    9 u/mod                                 11 ?= 1  = ??
      100    9  umod                                       1  = ??
      100. 9. ud/mod 11. d= >r 1. d= r> and                     ??
      1 test ! test @                                      1  = ??
      1 65535   and                                        1  = ??
      1       0 or                                         1  = ??
      65535 255 xor                                    $ff00  = ??
      0 10 0 do 1+ loop                                   10  = ??
      0 10 0 do i 3 > if leave else 1+ endIf loop          4  = ??
      0 0 0 ?do 1+ loop                                    0  = ??
      0 1 0 ?do 1+ loop                                    1  = ??
      1 case 0 of -1 endOf 1 of -2 endOf default endCase  -2  = ??
      2 case 0 of -1 endOf 1 of -2 endOf default endCase   2  = ??
      12 0 do i aap i + c!      loop                            ?StackEmpty
      12 0 do   aap i + c@ i ?= loop                            ?StackEmpty
       6 0 do   aap i 2* + @ i 2* i 512 u* 256 + + ?= loop      ?StackEmpty
      $aaaa.5555 test d! test d@                  $aaaa.5555 d= ??
      1 test! 65535   test and!                   test@      1= ??
      1 test! 2       test  or!                   test@     3 = ??
      65535 test! 255 test xor!                   test@ $ff00 = ??
      5 test dup!                                       test@ = ??
      test  on                                    test@ $ffff = ??  // Tests True!  as well
      test off                                    test@     0=  ??  // Tests False! as well
      0 1+ 2+ 3+ 4+ 5+ 6+ 7+ 8+ 9+ 10+ '0+
        1- 2- 3- 4- 5- 6- 7- 8- 9- 10- '0-                  0=  ??
      1 2 swap                                         1 ?= 2 = ??
      1 2 over                                    1 ?= 2 ?= 1=  ??
      1 2 nip                                               2 = ??
      1 2 tuck                                    2 ?= 1 ?= 2 = ??
      1 2 <>                                            $ffff = ??
      1 0= not                                                  ??
      0 0<> not                                                 ??
      1 0<>                                                     ??
      1 1=                                                      ??
      0 1= not                                                  ??
      1 drop                                                    ?StackEmpty
      1 dup                                             1 ?= 1= ??
      1 2 swap                                         1 ?= 2 = ??
      1 negate                                              -1= ??
      1 0 >                                                     ??
      1 1 > not                                                 ??
      1 2 > not                                                 ??
      0 1 <                                                     ??
      1 1 < not                                                 ??
      2 1 < not                                                 ??
      0 ?dup                                                0=  ??
      1 ?dup                                           1 ?= 1=  ??
      1 lshift                                              2 = ??
      2 rshift                                              1=  ??
      1     15 <<                                       $8000 = ??
      $8000 15 >>                                           1=  ??
      1 2 3  rot                                  1 ?= 3 ?= 2 = ??
      1 2 3 -rot                                  2 ?= 1 ?= 3 = ??
      1 2 3 0 pick                           3 ?= 3 ?= 2 ?= 1=  ??
      1 2 3 1 pick                           2 ?= 3 ?= 2 ?= 1=  ??
      1 2 3 2 pick                           1 ?= 3 ?= 2 ?= 1=  ??
      1 2 3 4 0 put                               4 ?= 2 ?= 1=  ??
      1 2 3 4 1 put                               3 ?= 4 ?= 1=  ??
      1 2 3 4 2 put                               3 ?= 2 ?= 4 = ??
      $0000 abs                                         $0000 = ??
      $7fff abs                                         $7fff = ??
      $8000 abs                                         $8000 = ??
      $8001 abs                                         $7fff = ??
      $ffff abs                                         $0001 = ??
      0 1     max                                           1=  ??
      0 $8000 max                                           0=  ??
      0 1     min                                           0=  ??
      0 $8000 min                                       $8000 = ??
      0 test! 1 test +!                               test@ 1=  ??
      1 test -!                                       test@ 0=  ??
      TestExit                                              1=  ??
      5 4 do 3 2 do 1 0 do
        i 0 ?= j 2 ?= k 4 ?=
      loop loop loop                                            ?StackEmpty
      $0000 negative? not                                       ??
      $7fff negative? not                                       ??
      $8000 negative?                                           ??
      $ffff negative?                                           ??
      0 1 a+ 1 +a                                           2 = ??
      0 1a+ 2a+ 3a+ 4a+ 4a- 3a- 2a- 1a-                     0=  ??
      $ffff   2/                                        $7fff = ??
      $ffff   4/                                        $3fff = ??
      $ffff   8/                                        $1fff = ??
      $ffff  16/                                        $0fff = ??
      $ffff  32/                                        $07ff = ??
      $ffff  64/                                        $03ff = ??
      $ffff 128/                                        $01ff = ??
      1   2*                                                2 = ??
      1   3*                                                3 = ??
      1   4*                                                4 = ??
      1   8*                                                8 = ??
      1  16*                                               16 = ??
      1  32*                                               32 = ??
      1  64*                                               64 = ??
      1 128*                                              128 = ??

      noot &123 =                                               ??
      $8000 to noot noot $8000 =                                ??

    .// ==== Test recursion

    2000 test_id!

      //  0 fib    0 = ??    1 fib    1 = ??   2 fib    1 = ??    3 fib    2 = ??
      //  4 fib    3 = ??    5 fib    5 = ??   6 fib    8 = ??    7 fib   13 = ??
      //  8 fib   21 = ??    9 fib   34 = ??  10 fib   55 = ??   11 fib   89 = ??
      // 12 fib  144 = ??   13 fib  233 = ??  14 fib  377 = ??   15 fib  610 = ??
      // 16 fib  987 = ??   17 fib 1597 = ??  18 fib 2584 = ??   19 fib 4181 = ??

      20 fib 6765 = ??

    .// ==== double and mixed stuff

    2100 test_id!

      d0                                                  0. d= ??
      65535 10 um*         [ 65535 10 *          dliteral ]  d= ??
      10. 12345678. d+                             12345688. d= ??
      12345688. 10. d-                             12345678. d= ??
      $1. $ffff.ffff dand                                $1. d= ??
      $0001.0001 $0. dor                          $0001.0001 d= ??
      $ffff.ffff $0000.ffff dxor                  $ffff.0000 d= ??
      $1234.5678 d>r dr>                          $1234.5678 d= ??
      1 2 2drop                                                 ?StackEmpty
      1. 2. d<>                                         $ffff = ??
      $0000.0000 d0< not                                        ??
      $7fff.ffff d0< not                                        ??
      $8000.0000 d0<                                            ??
      $ffff.ffff d0<                                            ??
      1. 2. 2over 0 ?= 1 ?= 0 ?= 2 ?= 0 ?= 1=                   ??
      $0000.0000 dabs                             $0000.0000 d= ??
      $7fff.ffff dabs                             $7fff.ffff d= ??
      $8000.0000 dabs                             $8000.0000 d= ??
      $8000.0001 dabs                             $7fff.ffff d= ??
      $ffff.ffff dabs                             $0000.0001 d= ??
      $0000.0000 dnegative? not                                 ??
      $7fff.ffff dnegative? not                                 ??
      $8000.0000 dnegative?                                     ??
      $ffff.ffff dnegative?                                     ??
      1. 2. dswap                            1. d= assert 2. d= ??
      1. 0. d>                                                  ??
      1. 1. d> not                                              ??
      1. 2. d> not                                              ??
      0. 1. d<                                                  ??
      1. 1. d< not                                              ??
      2. 1. d< not                                              ??
      $0001 u>d                                   $0000.0001 d= ??
      $8000 u>d                                   $0000.8000 d= ??
      $ffff u>d                                   $0000.ffff d= ??
      $0001 >d                                    $0000.0001 d= ??
      $8000 >d                                    $ffff.8000 d= ??
      $ffff >d                                    $ffff.ffff d= ??
      $8000 $8000 um*                             $4000.0000 d= ??
      $8000.0000 $0000.0001 ud* $8000.0000 d=                   ??
      65535. 65535. ud* 4294836225. d=                          ??
      -.1 -.1 ud*  .1 d=                                        ??
      -.1  .1  d* -.1 d=                                        ??

    .// ==== utils.4th

    3000 test_id!

       1  1  1 inRange                                          ??
       1  1  2 inRange                                          ??
       2  1  2 inRange                                          ??
       0  1  2 inRange not                                      ??
       3  1  2 inRange not                                      ??

      -1 -1 -1 inRange                                          ??
      -1 -2 -1 inRange                                          ??
      -2 -2 -1 inRange                                          ??
       0 -2 -1 inRange not                                      ??
      -3 -2 -1 inRange not                                      ??

       0 indexToMask                                    $0001 = ??
       1 indexToMask                                    $0002 = ??
      15 indexToMask                                    $8000 = ??
      16 indexToMask                                    $0000 = ??

       0 dindexToMask                             $0000.0001 d= ??
       1 dindexToMask                             $0000.0002 d= ??
      16 dindexToMask                             $0001.0000 d= ??
      31 dindexToMask                             $8000.0000 d= ??
      32 dindexToMask                             $0000.0000 d= ??

      $0001 $0000 maskCheck not                                 ??
      $0001 $0001 maskCheck                                     ??

      $0000.0001 $0000.0000 dmaskCheck not                      ??
      $0000.0001 $0000.0001 dmaskCheck                          ??

      $00   $00 crc8  $00   =                                   ??
      $5a   $5a crc8  $00   =                                   ??

      $00 $0000 crc16 $0000 =                                   ??
      $5a $5a5a crc16 $5a swap crc16 $0000 =                    ??

      // b@                ( nBit nRamAddr         -- f        ) // bit get
      // b!                ( f nBit nRamAddr       --          ) // bit set
      // b~                ( nBit nRamAddr         --          ) // bit toggle
      // d<<               ( u n                   -- u        ) // double left  shift ( 0 <= n <= 31 )
      // d>>               ( u n                   -- u        ) // double right shift ( 0 <= n <= 31 )

      $0001 test!
       0 test b@                                                ??
       1 test b@ not                                            ??
      15 test b@ not                                            ??
      16 test b@ not                                            ??

      $8000 test!
       0 test b@ not                                            ??
       1 test b@ not                                            ??
      15 test b@                                                ??
      16 test b@ not                                            ??

      15 test b~ test@ 0=                                       ??
      true  14 test b! test@ $4000 =                            ??
      $ffff test!
      false 14 test b! test@ $bfff =                            ??

      $0000.0001  1 d<< $0000.0002 d=                           ??
      $0000.0001 15 d<< $0000.8000 d=                           ??
      $0000.0001 16 d<< $0001.0000 d=                           ??
      $0000.0001 31 d<< $8000.0000 d=                           ??
      $0000.0001 32 d<< $0000.0000 d=                           ??

      $8000.0000  1 d>> $4000.0000 d=                           ??
      $8000.0000 15 d>> $0001.0000 d=                           ??
      $8000.0000 16 d>> $0000.8000 d=                           ??
      $8000.0000 31 d>> $0000.0001 d=                           ??
      $8000.0000 32 d>> $0000.0000 d=                           ??

      $5aa5  >< $a55a =                                         ??
      $5aa5 c>< $5a5a =                                         ??

      // Random values verified against PIC18 implementation

      $00 random $39 =                                          ??
      $5a random $8b =                                          ??
      $a5 random $7a =                                          ??
      $ff random $cc =                                          ??


    .// ==== sets.4th

    4000 test_id!

      0 >[] $0000.0001 d=                                       ??
      1 >[] $0000.0002 d=                                       ??

      %1010101010101010.1010101010101010
      %0000000001010101.0000000001010101 [+]
      %1010101011111111.1010101011111111 [=]                    ??

      %1010101010101010.1010101010101010
      %1111111101010101.1010101001010101 [*]
      %1010101000000000.1010101000000000 [=]                    ??

      %1010101010101010.1010101010101010
      %1111111101010101.1010101001010101 [-]
      %0000000010101010.0000000010101010 [=]                    ??

      %1010101010101010.1010101010101010
      %1111111101010101.1010101001010101 [<=] not               ??

      %1010101000000000.1010101000000000
      %1111111101010101.1010101001010101 [<=]                   ??

      %1010101010101010.1010101010101010
      %1111111101010101.1010101001010101 [>=] not               ??

      %1111111101010101.1010101001010101
      %1010101000000000.1010101000000000 [>=]                   ??

      %1010101010101010.1010101010101010
      %1111111101010101.1010101001010101 [<>]                   ??

      %1010101000000000.1010101000000000
      %1010101000000000.1010101000000000 [<>] not               ??

      %1010101010101010.1010101010101010  0 [in] not            ??
      %1010101010101010.1010101010101010  1 [in]                ??
      %1010101010101010.1010101010101010 30 [in] not            ??
      %1010101010101010.1010101010101010 31 [in]                ??

      [.] [.][=]                                                ??
      [[ ]] [.][=]                                              ??
      1 >[] 2 >[] [+] [[ 1 2 ]] [=]                             ??
      3 case [[ 0 1 3 5 ]] in 1 endIn endCase              1  = ??
      3 case [[ 0 1   5 ]] in 1 endIn endCase              3  = ??


    .// ==== strings.4th

    .//      Test MemCompare and Erase
                                  aap beep  0 MemCompare  0=    ??
      aap.erase beep.erase aap        beep 12 MemCompare  0=    ??
      1 aap  c!     2 beep c!     aap beep 12 MemCompare -1=    ??
      2 aap  c!     1 beep c!     aap beep 12 MemCompare  1=    ??

    .//      Test MemCopy

      12 0 do i aap i + c! loop     // Fill array aap with values 0 .. 11
      aap beep 12 MemCopy           // Copy aap to beep, check if aap = beep
      aap beep 12 MemCompare 0=                                 ??

    .//      Test MemSet

      beep 0 12 MemSet              // Clear beep to all zeros, abd check that
      0 12 0 do beep i + c@ or loop 0=                          ??

    .//      Test cmove and cmove> (needs manual inspection)

      aap 1+ aap 11 cmove           // Move elts of a one location down
      aap aap 1+ 11 cmove>          // Move elts of a one location up

    .//      Test RamCount

      11 aap c!                     // Set string length of 11 bytes
      aap RamCount 11 = swap aap 1+ = and                       ??

    .//      Test $RamCat

      5 aap  c!                     // Set string length of 5 bytes
      5 beep c!                     // beep idem
      aap RamCount beep $RamCat
      beep 6+ aap 1+ 5 MemCompare 0=                            ??
      beep @ 10 =                                               ??

    .//      Test /ramstring

      beep RamCount 5 /ramstring 5 = swap beep 6+ = and         ??

      beep.erase                    // Clear beep to all zeros
      aap RamCount beep RamPack beep =                          ??
      aap beep 6 MemCompare 0=                                  ??

    .// Test RamCount

      aap    6 Erase                // Set up some data in aap
      aap 6+ 6 Blank                // 6 nulls, 6 spaces
      11 aap c!                     // strlen 11
      aap RamCount 0 RamSkip 6 = swap aap 6+ = and              ??

    .//      Test -RamTrailChars (through -RamTrailing)

      aap RamCount -RamTrailing 5 = swap aap 1+ = and           ??

    .//      Test RamCompare and $ramswap

      11 aap c! aap beep 12 cmove
      aap RamCount beep RamCount          RamCompare  0=        ??
      aap RamCount beep RamCount $ramswap RamCompare  0=        ??
      10 aap c!
      aap RamCount beep RamCount          RamCompare -1=        ??
      aap RamCount beep RamCount $ramswap RamCompare  1=        ??
      9 beep c!
      aap RamCount beep RamCount          RamCompare  1=        ??
      aap RamCount beep RamCount $ramswap RamCompare -1=        ??
      9 aap c! 1 aap 2+ +!
      aap RamCount beep RamCount          RamCompare  1=        ??
      aap RamCount beep RamCount $ramswap RamCompare -1=        ??
      1 beep 2+ +!
      aap RamCount beep RamCount          RamCompare  0=        ??
      aap RamCount beep RamCount $ramswap RamCompare  0=        ??
      1 beep 2+ +!
      aap RamCount beep RamCount          RamCompare -1=        ??
      aap RamCount beep RamCount $ramswap RamCompare  1=        ??

    .//      Test $ramvar ! and @

      aap  1+ 11 $ram_var_1!
      beep 1+ 11 $ram_var_2!

      $ram_var_1@ $ram_var_2@          RamCompare -1=           ??
      $ram_var_1@ $ram_var_2@ $ramswap RamCompare  1=           ??

    .//      Test Rom>RamCopy, manual inspection needed

      aap.erase
      rom_str_1 aap 20 Rom>RamCopy                         true ??

    .//      Test rom>ramStringCopy, manual inspection needed

      aap.erase
      rom_str_1 aap rom>ramStringCopy                      true ??

    .//      Test : rom>ramStr, manual inspection needed

      aap.erase
      rom_str_1 aap rom>ramStr aap =                            ??

    .//      Test : rom>$ram, manual inspection needed

      aap.erase
      rom_str_1 aap rom>$ram 17 = swap aap = and                ??

    .//      Test : romStringCompare
    .//      rom_str_2 > rom_str_1

      aap.erase
      rom_str_1 ddup aap rom>ramStr romStringCompare 0=         ??
      rom_str_2 aap rom>ramStr ( aap )
      >r rom_str_1 r>          ( rom_str_1 aap ) // aap = rom_str_2
      romStringCompare 1=                                       ??
      rom_str_1 aap rom>ramStr ( aap )
      >r rom_str_2 r>          ( rom_str_2 aap ) // aap = rom_str_1
      romStringCompare -1=                                      ??

    .//      Test : stringBeginsWith

      " ROM test"           aap stringBeginsWith                ??
      " ROM tesp"           aap stringBeginsWith not            ??
      " "                   aap stringBeginsWith                ??
      " ROM test string 1"  aap stringBeginsWith                ??
      " ROM test string 2"  aap stringBeginsWith not            ??
      " ROM test string 1 " aap stringBeginsWith not            ??

    .//      Test : search

      aap.erase
      beep.erase

      //   01234567890123456
      // " ROM test string 1"
      // " "

      " "       beep rom>ramStr RamCount ( $beep )
      rom_str_1 aap  rom>ramStr RamCount ( $aap  )
      search >r 17 = swap aap 1+ = and r> and                   ??

      //   01234567890123456
      // " ROM test string 1"
      //     " test"

      " test"   beep rom>ramStr RamCount ( $beep )
      rom_str_1 aap  rom>ramStr RamCount ( $aap  )
      search >r 9 = swap aap 9+ = and r> and                    ??

      //   01234567890123456
      // " ROM test string 1"
      //     " test"je

      " testje" beep rom>ramStr RamCount ( $beep )
      rom_str_1 aap  rom>ramStr RamCount ( $aap  )
      search not >r 17 = swap aap 1+ = and r> and               ??

      //   01234567890123456
      // " ROM test string 1"
      // " ROM test string 1"

      " ROM test string 1"
                beep rom>ramStr RamCount ( $beep )
      rom_str_1 aap  rom>ramStr RamCount ( $aap  )
      search >r 0= swap aap 18 + = and r> and                   ??

      //   01234567890123456
      // " ROM test string 1"
      // " ROM test string "2

      " ROM test string 2"
                beep rom>ramStr RamCount ( $beep )
      rom_str_1 aap  rom>ramStr RamCount ( $aap  )
      search not >r 17 = swap aap 1+ = and r> and               ??

      //   01234567890123456
      // " ROM test string 1"
      // " ROM test string 1"-

      " ROM test string 1-"
                beep rom>ramStr RamCount ( $beep )
      rom_str_1 aap  rom>ramStr RamCount ( $aap  )
      search not >r 17 = swap aap 1+ = and r> and               ??

    .//      Test : romSearch

      aap.erase
      beep.erase

      " used to obtain address of temporary buffer used by romSearch"
      beep rom>ramStr RamCount ( $beep )
      rom_str_1
      romSearch drop $ram_var_1!                           true ??

      //   01234567890123456
      // " ROM test string 1"
      // " "


      " "       beep rom>ramStr RamCount ( $beep )
      rom_str_1
      romSearch >r 17 = swap $ram_var_1.addr@  = and r> and     ??

      //   01234567890123456
      // " ROM test string 1"
      //     " test"

      " test"   beep rom>ramStr RamCount ( $beep )
      rom_str_1
      romSearch >r 9 = swap $ram_var_1.addr@ 8+ = and r> and    ??

      //   01234567890123456
      // " ROM test string 1"
      //     " test"je

      " testje" beep rom>ramStr RamCount ( $beep )
      rom_str_1
      romSearch not >r 17 = swap $ram_var_1.addr@ = and r> and  ??

      //   01234567890123456
      // " ROM test string 1"
      // " ROM test string 1"

      " ROM test string 1"
                beep rom>ramStr RamCount ( $beep )
      rom_str_1
      romSearch >r 0= swap $ram_var_1.addr@ 17 + = and r> and   ??

      //   01234567890123456
      // " ROM test string 1"
      // " ROM test string "2

      " ROM test string 2"
                beep rom>ramStr RamCount ( $beep )
      rom_str_1
      romSearch not >r 17 = swap $ram_var_1.addr@ = and r> and  ??

      //   01234567890123456
      // " ROM test string 1"
      // " ROM test string 1"-

      " ROM test string 1-"
                beep rom>ramStr RamCount ( $beep )
      rom_str_1
      romSearch not >r 17 = swap $ram_var_1.addr@ = and r> and  ??

    .//      test $upper, $lower - manual inspection

      rom_str_1 aap  rom>ramStr RamCount ( $aap  )
      $lower                                               true ??
      rom_str_1 aap  rom>ramStr RamCount ( $aap  )
      $upper                                               true ??


    .//      ROM addressing

      " 1234" romptr!
      romc@++  4 =                                              ??
      romc@++ '1 =                                              ??
      romc@++ '2 =                                              ??
      romc@++ '3 =                                              ??
      romc@++ '4 =                                              ??

      rom--c@ '4 =                                              ??
      rom--c@ '3 =                                              ??
      rom--c@ '2 =                                              ??
      rom--c@ '1 =                                              ??
      rom--c@  4 =                                              ??


    .// ==== numconvert, number printing stuff - manual inspection

    5000 test_id!

      &10 #base! #base@ &10 =                                   ??
      aap 20 setup#            // Use aap as a 20 byte buffer
      aap.erase

      &10 #base!
      aap.erase
      &1.          (ud.) drop drop                         true ??

      &16 #base!
      aap.erase
      $ffff.ffff   (ud.) drop drop                         true ??

      &10 #base!
      aap.erase
      &1234567890. (ud.) drop drop                         true ??

      aap.erase
      -&1.         (d.)  drop drop                         true ??

      aap.erase
      -&1 4       (.r)   drop drop                         true ??

      aap.erase
      -&1 4       (.rz)  drop drop                         true ??

      aap.erase
      -&1 4       (u.rz)
      number? >r 65535. d= r> and                               ??


    .// ==== internal flash memory interface, partly manual inspection

    6000 test_id!

      $01.0000 $ffff InitMemoryModule   // Initialize user memory

          d0           MemUserEraseBlock  ( manual )
      aap d0 aap.size  MemUserWriteBlock  ( manual )
      aap d0 aap.size  MemUserVerifyBlock ( auto   )            ??

      breakPoint BuiltinsOk

    except
      test_id@                          // Show test id in w0
      breakPoint BuiltinsNotOk
      drop                              // Drop test id and
      raise                             //   re-raise the exception
    endTry
  ;


  // //////////////////////////////////////////////////////////////////////////
  //
  // C calling from and into 4th

  : events_test ( -- )

    #// Tester for interrupt driven event generator
    try
      begin                                 // Endless loop
        6 7 2 c_exec test_func drop         // Test call into a C function, drop the result
        goIdle                              // Enter idle mode, keep timers running

        .// Dozed off for a bit here

        RCON@                               // read RCON
        WakeUpReason!                       // into StartUpReason variable

        // breakpoint woke_up               // Halt debugger

      again                                 // Endless loop
    except
      breakPoint events_test_failure        // Halt the debugger
      raise                                 // Re-raise the exception
    endTry
  ;


public

  export  testBuiltins      ( -- )
  export  events_test       ( -- )

endModule

