xVersion" 2011.11.5.1"


  //  x4th Forth compiler : 2011.11.5.1
  //  (C) COPYRIGHT 1999 .. 2012 Blue Hell / Jan Punter
  //  
  //  This program is free software; you can redistribute it and/or modify
  //  it under the terms of the GNU General Public License version 2 as
  //  published by the Free Software Foundation;
  //  
  //  This program is distributed in the hope that it will be useful,
  //  but WITHOUT ANY WARRANTY; without even the implied warranty of
  //  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  //  GNU General Public License for more details.
  //  
  //  You should have received a copy of the GNU General Public License
  //  along with this program; if not, write to the Free Software
  //  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  //  
  //  For all listed email addresses :
  //  
  //    _dot. to be substituted by a dot      '.'
  //    2@t2  to be substituted by an at sign '@'
  //  
  //  
  //  Blue Hell is a trade mark owned by
  //  
  //    Jan Punter
  //    Oogstplein 6
  //    7545 HP Enschede
  //    the Netherlands
  //    http://www.iaf.nl/Users/BlueHell/
  //    http://bluehell.electro-music.com/
  //    j_dot.punter2@t2iaf_dot.nl
  //  
  //  All rights attributed to Blue Hell are owned by Jan Punter.


module hw_bit_defs

  #document hw_bit_defs
    //
    // This is an automatic translation of a processor specifc include file.
    //
    //  source: 'D:\Projects\_login\pic_24f_4th\work\lib\p24FJ128DA106.inc'
    //  d.d.  : 2012-09-25 22:22
    //
    // Note :
    //
    //   All names that consist of valid hex digits only were changed by enclosing
    //   them in brackets, so 'dead' was transformed into '(dead)' etc.
    //
    // A processor must be selected before it can actually be used, this can be done
    // by using #define 24FJ128DA106 in make.4th
    //
    // Note :
    //
    //   This module defines a namespace called hw_bit_defs, independent of the actual
    //   target processor this module is meant for. Also note that this file will be included
    //   by default from 24xxxx.4th, the actual file selection being directed by the processor
    //   specification being made in make.4th. The definitions here are meant to be used by
    //   the module hw_config.4th, which holds the application specific processor file
    //   register setup
    //
  #endDoc

private

  // x4th helper code

  {

    : #equiv ( bitNum -- )

      #// { aName -- } [ -- ]
      #// create a bit definition as a meta constant
  
      { constant }
    ;

  }


public // All the bit data is publicly accessible

  // ==========================================================================
  //   PIC24FJ128DA106 Standard Assembly Include File
  //  
  //   (c) Copyright 2011 Microchip Technology, All rights reserved
  // ==========================================================================
  // 
  // ==========================================================================
  //   This header file defines configurations, registers, and other useful
  //   bits of information for the PIC24FJ128DA106 microcontroller.  These names
  //   are taken to match the data sheets as closely as possible.
  // 
  //   Note that the processor must be selected before this file is included.
  //   The processor may be selected the following ways:
  // 
  //        1. Command line switch:
  //                C:\> pic30-as file.s -p24FJ128DA106
  //        2. Placing a ".equ" directive before the ".include":
  //                .equ __24FJ128DA106, 1
  //                .include "p24FJ128DA106.inc"
  //        3. Setting the processor in the MPLAB IDE Project Dialog
  // ==========================================================================
  // 
  // ==========================================================================
  // 
  //        Verify Processor
  // 
  // ==========================================================================
  // 
  // ==========================================================================
  // 
  //        Register Definitions
  // 
  // ==========================================================================
  // 
  // ----- Register Equates (Low Byte, High Byte) -----------------------------
  // 
  // ----- SR Bits -----------------------------------------------------
  $0000 #equiv (C)                              // [name changed]
  $0001 #equiv Z
  $0002 #equiv OV
  $0003 #equiv N
  $0004 #equiv RA
  $0008 #equiv (DC)                             // [name changed]
  // 
  $0005 #equiv IPL0
  $0006 #equiv IPL1
  $0007 #equiv IPL2
  // 
  // ----- CORCON Bits -----------------------------------------------------
  $0003 #equiv IPL3
  // 
  // ----- CNPD1 Bits -----------------------------------------------------
  $0000 #equiv CN0PDE
  $0001 #equiv CN1PDE
  $0002 #equiv CN2PDE
  $0003 #equiv CN3PDE
  $0004 #equiv CN4PDE
  $0005 #equiv CN5PDE
  $0006 #equiv CN6PDE
  $0007 #equiv CN7PDE
  $0008 #equiv CN8PDE
  $0009 #equiv CN9PDE
  $000A #equiv CN10PDE
  $000B #equiv CN11PDE
  $000C #equiv CN12PDE
  $000D #equiv CN13PDE
  $000E #equiv CN14PDE
  $000F #equiv CN15PDE
  // 
  // ----- CNPD2 Bits -----------------------------------------------------
  $0000 #equiv CN16PDE
  $0001 #equiv CN17PDE
  $0002 #equiv CN18PDE
  $0006 #equiv CN22PDE
  $0007 #equiv CN23PDE
  $0008 #equiv CN24PDE
  $0009 #equiv CN25PDE
  $000A #equiv CN26PDE
  $000B #equiv CN27PDE
  $000C #equiv CN28PDE
  $000D #equiv CN29PDE
  $000E #equiv CN30PDE
  $000F #equiv CN31PDE
  // 
  // ----- CNPD3 Bits -----------------------------------------------------
  $0000 #equiv CN32PDE
  // 
  // ----- CNPD4 Bits -----------------------------------------------------
  $0001 #equiv CN49PDE
  $0002 #equiv CN50PDE
  $0003 #equiv CN51PDE
  $0004 #equiv CN52PDE
  $0005 #equiv CN53PDE
  $0006 #equiv CN54PDE
  $0007 #equiv CN55PDE
  $0008 #equiv CN56PDE
  $000A #equiv CN58PDE
  $000B #equiv CN59PDE
  $000C #equiv CN60PDE
  $000D #equiv CN61PDE
  $000E #equiv CN62PDE
  $000F #equiv CN63PDE
  // 
  // ----- CNPD5 Bits -----------------------------------------------------
  $0000 #equiv CN64PDE
  $0001 #equiv CN65PDE
  $0004 #equiv CN68PDE
  $0005 #equiv CN69PDE
  $0007 #equiv CN71PDE
  // 
  // ----- CNPD6 Bits -----------------------------------------------------
  $0003 #equiv CN83PDE
  $0004 #equiv CN84PDE
  // 
  // ----- CNEN1 Bits -----------------------------------------------------
  $0000 #equiv CN0IE
  $0001 #equiv CN1IE
  $0002 #equiv CN2IE
  $0003 #equiv CN3IE
  $0004 #equiv CN4IE
  $0005 #equiv CN5IE
  $0006 #equiv CN6IE
  $0007 #equiv CN7IE
  $0008 #equiv CN8IE
  $0009 #equiv CN9IE
  $000A #equiv CN10IE
  $000B #equiv CN11IE
  $000C #equiv CN12IE
  $000D #equiv CN13IE
  $000E #equiv CN14IE
  $000F #equiv CN15IE
  // 
  // ----- CNEN2 Bits -----------------------------------------------------
  $0000 #equiv CN16IE
  $0001 #equiv CN17IE
  $0002 #equiv CN18IE
  $0006 #equiv CN22IE
  $0007 #equiv CN23IE
  $0008 #equiv CN24IE
  $0009 #equiv CN25IE
  $000A #equiv CN26IE
  $000B #equiv CN27IE
  $000C #equiv CN28IE
  $000D #equiv CN29IE
  $000E #equiv CN30IE
  $000F #equiv CN31IE
  // 
  // ----- CNEN3 Bits -----------------------------------------------------
  $0000 #equiv CN32IE
  // 
  // ----- CNEN4 Bits -----------------------------------------------------
  $0001 #equiv CN49IE
  $0002 #equiv CN50IE
  $0003 #equiv CN51IE
  $0004 #equiv CN52IE
  $0005 #equiv CN53IE
  $0006 #equiv CN54IE
  $0007 #equiv CN55IE
  $0008 #equiv CN56IE
  $000A #equiv CN58IE
  $000B #equiv CN59IE
  $000C #equiv CN60IE
  $000D #equiv CN61IE
  $000E #equiv CN62IE
  $000F #equiv CN63IE
  // 
  // ----- CNEN5 Bits -----------------------------------------------------
  $0000 #equiv CN64IE
  $0001 #equiv CN65IE
  $0004 #equiv CN68IE
  $0005 #equiv CN69IE
  $0007 #equiv CN71IE
  // 
  // ----- CNEN6 Bits -----------------------------------------------------
  $0003 #equiv CN83IE
  $0004 #equiv CN84IE
  // 
  // ----- CNPU1 Bits -----------------------------------------------------
  $0000 #equiv CN0PUE
  $0001 #equiv CN1PUE
  $0002 #equiv CN2PUE
  $0003 #equiv CN3PUE
  $0004 #equiv CN4PUE
  $0005 #equiv CN5PUE
  $0006 #equiv CN6PUE
  $0007 #equiv CN7PUE
  $0008 #equiv CN8PUE
  $0009 #equiv CN9PUE
  $000A #equiv CN10PUE
  $000B #equiv CN11PUE
  $000C #equiv CN12PUE
  $000D #equiv CN13PUE
  $000E #equiv CN14PUE
  $000F #equiv CN15PUE
  // 
  // ----- CNPU2 Bits -----------------------------------------------------
  $0000 #equiv CN16PUE
  $0001 #equiv CN17PUE
  $0002 #equiv CN18PUE
  $0006 #equiv CN22PUE
  $0007 #equiv CN23PUE
  $0008 #equiv CN24PUE
  $0009 #equiv CN25PUE
  $000A #equiv CN26PUE
  $000B #equiv CN27PUE
  $000C #equiv CN28PUE
  $000D #equiv CN29PUE
  $000E #equiv CN30PUE
  $000F #equiv CN31PUE
  // 
  // ----- CNPU3 Bits -----------------------------------------------------
  $0000 #equiv CN32PUE
  // 
  // ----- CNPU4 Bits -----------------------------------------------------
  $0001 #equiv CN49PUE
  $0002 #equiv CN50PUE
  $0003 #equiv CN51PUE
  $0004 #equiv CN52PUE
  $0005 #equiv CN53PUE
  $0006 #equiv CN54PUE
  $0007 #equiv CN55PUE
  $0008 #equiv CN56PUE
  $000A #equiv CN58PUE
  $000B #equiv CN59PUE
  $000C #equiv CN60PUE
  $000D #equiv CN61PUE
  $000E #equiv CN62PUE
  $000F #equiv CN63PUE
  // 
  // ----- CNPU5 Bits -----------------------------------------------------
  $0000 #equiv CN64PUE
  $0001 #equiv CN65PUE
  $0004 #equiv CN68PUE
  $0005 #equiv CN69PUE
  $0007 #equiv CN71PUE
  // 
  // ----- CNPU6 Bits -----------------------------------------------------
  $0003 #equiv CN83PUE
  $0004 #equiv CN84PUE
  // 
  // ----- INTCON1 Bits -----------------------------------------------------
  $0001 #equiv OSCFAIL
  $0002 #equiv STKERR
  $0003 #equiv ADDRERR
  $0004 #equiv MATHERR
  $000F #equiv NSTDIS
  // 
  // ----- INTCON2 Bits -----------------------------------------------------
  $0000 #equiv INT0EP
  $0001 #equiv INT1EP
  $0002 #equiv INT2EP
  $0003 #equiv INT3EP
  $0004 #equiv INT4EP
  $000E #equiv DISI
  $000F #equiv ALTIVT
  // 
  // ----- IFS0 Bits -----------------------------------------------------
  $0000 #equiv INT0IF
  $0001 #equiv IC1IF
  $0002 #equiv OC1IF
  $0003 #equiv T1IF
  $0005 #equiv IC2IF
  $0006 #equiv OC2IF
  $0007 #equiv T2IF
  $0008 #equiv T3IF
  $0009 #equiv SPF1IF
  $000A #equiv SPI1IF
  $000B #equiv U1RXIF
  $000C #equiv U1TXIF
  $000D #equiv AD1IF
  // 
  // ----- IFS1 Bits -----------------------------------------------------
  $0000 #equiv SI2C1IF
  $0001 #equiv MI2C1IF
  $0002 #equiv CMIF
  $0003 #equiv CNIF
  $0004 #equiv INT1IF
  $0006 #equiv IC7IF
  $0007 #equiv IC8IF
  $0009 #equiv OC3IF
  $000A #equiv OC4IF
  $000B #equiv T4IF
  $000C #equiv T5IF
  $000D #equiv INT2IF
  $000E #equiv U2RXIF
  $000F #equiv U2TXIF
  // 
  // ----- IFS2 Bits -----------------------------------------------------
  $0000 #equiv SPF2IF
  $0001 #equiv SPI2IF
  $0005 #equiv IC3IF
  $0006 #equiv IC4IF
  $0007 #equiv IC5IF
  $0008 #equiv IC6IF
  $0009 #equiv OC5IF
  $000A #equiv OC6IF
  $000B #equiv OC7IF
  $000C #equiv OC8IF
  // 
  // ----- IFS3 Bits -----------------------------------------------------
  $0001 #equiv SI2C2IF
  $0002 #equiv MI2C2IF
  $0005 #equiv INT3IF
  $0006 #equiv INT4IF
  $000E #equiv RTCIF
  // 
  // ----- IFS4 Bits -----------------------------------------------------
  $0001 #equiv U1ERIF
  $0002 #equiv U2ERIF
  $0003 #equiv CRCIF
  $0008 #equiv LVDIF
  $000D #equiv CTMUIF
  // 
  // ----- IFS5 Bits -----------------------------------------------------
  $0001 #equiv U3ERIF
  $0002 #equiv U3RXIF
  $0003 #equiv U3TXIF
  $0004 #equiv SI2C3IF
  $0005 #equiv MI2C3IF
  $0006 #equiv USB1IF
  $0007 #equiv U4ERIF
  $0008 #equiv U4RXIF
  $0009 #equiv U4TXIF
  $000A #equiv SPF3IF
  $000B #equiv SPI3IF
  $000C #equiv OC9IF
  $000D #equiv IC9IF
  // 
  // ----- IFS6 Bits -----------------------------------------------------
  $0004 #equiv GFX1IF
  // 
  // ----- IEC0 Bits -----------------------------------------------------
  $0000 #equiv INT0IE
  $0001 #equiv IC1IE
  $0002 #equiv OC1IE
  $0003 #equiv T1IE
  $0005 #equiv IC2IE
  $0006 #equiv OC2IE
  $0007 #equiv T2IE
  $0008 #equiv T3IE
  $0009 #equiv SPF1IE
  $000A #equiv SPI1IE
  $000B #equiv U1RXIE
  $000C #equiv U1TXIE
  $000D #equiv AD1IE
  // 
  // ----- IEC1 Bits -----------------------------------------------------
  $0000 #equiv SI2C1IE
  $0001 #equiv MI2C1IE
  $0002 #equiv CMIE
  $0003 #equiv CNIE
  $0004 #equiv INT1IE
  $0006 #equiv IC7IE
  $0007 #equiv IC8IE
  $0009 #equiv OC3IE
  $000A #equiv OC4IE
  $000B #equiv T4IE
  $000C #equiv T5IE
  $000D #equiv INT2IE
  $000E #equiv U2RXIE
  $000F #equiv U2TXIE
  // 
  // ----- IEC2 Bits -----------------------------------------------------
  $0000 #equiv SPF2IE
  $0001 #equiv SPI2IE
  $0005 #equiv IC3IE
  $0006 #equiv IC4IE
  $0007 #equiv IC5IE
  $0008 #equiv IC6IE
  $0009 #equiv OC5IE
  $000A #equiv OC6IE
  $000B #equiv OC7IE
  $000C #equiv OC8IE
  // 
  // ----- IEC3 Bits -----------------------------------------------------
  $0001 #equiv SI2C2IE
  $0002 #equiv MI2C2IE
  $0005 #equiv INT3IE
  $0006 #equiv INT4IE
  $000E #equiv RTCIE
  // 
  // ----- IEC4 Bits -----------------------------------------------------
  $0001 #equiv U1ERIE
  $0002 #equiv U2ERIE
  $0003 #equiv CRCIE
  $0008 #equiv LVDIE
  $000D #equiv CTMUIE
  // 
  // ----- IEC5 Bits -----------------------------------------------------
  $0001 #equiv U3ERIE
  $0002 #equiv U3RXIE
  $0003 #equiv U3TXIE
  $0004 #equiv SI2C3IE
  $0005 #equiv MI2C3IE
  $0006 #equiv USB1IE
  $0007 #equiv U4ERIE
  $0008 #equiv U4RXIE
  $0009 #equiv U4TXIE
  $000A #equiv SPF3IE
  $000B #equiv SPI3IE
  $000C #equiv OC9IE
  $000D #equiv IC9IE
  // 
  // ----- IEC6 Bits -----------------------------------------------------
  $0004 #equiv GFX1IE
  // 
  // ----- IPC0 Bits -----------------------------------------------------
  $0000 #equiv INT0IP0
  $0001 #equiv INT0IP1
  $0002 #equiv INT0IP2
  $0004 #equiv IC1IP0
  $0005 #equiv IC1IP1
  $0006 #equiv IC1IP2
  $0008 #equiv OC1IP0
  $0009 #equiv OC1IP1
  $000A #equiv OC1IP2
  $000C #equiv T1IP0
  $000D #equiv T1IP1
  $000E #equiv T1IP2
  // 
  // ----- IPC1 Bits -----------------------------------------------------
  $0004 #equiv IC2IP0
  $0005 #equiv IC2IP1
  $0006 #equiv IC2IP2
  $0008 #equiv OC2IP0
  $0009 #equiv OC2IP1
  $000A #equiv OC2IP2
  $000C #equiv T2IP0
  $000D #equiv T2IP1
  $000E #equiv T2IP2
  // 
  // ----- IPC2 Bits -----------------------------------------------------
  $0000 #equiv T3IP0
  $0001 #equiv T3IP1
  $0002 #equiv T3IP2
  $0004 #equiv SPF1IP0
  $0005 #equiv SPF1IP1
  $0006 #equiv SPF1IP2
  $0008 #equiv SPI1IP0
  $0009 #equiv SPI1IP1
  $000A #equiv SPI1IP2
  $000C #equiv U1RXIP0
  $000D #equiv U1RXIP1
  $000E #equiv U1RXIP2
  // 
  // ----- IPC3 Bits -----------------------------------------------------
  $0000 #equiv U1TXIP0
  $0001 #equiv U1TXIP1
  $0002 #equiv U1TXIP2
  $0004 #equiv AD1IP0
  $0005 #equiv AD1IP1
  $0006 #equiv AD1IP2
  // 
  // ----- IPC4 Bits -----------------------------------------------------
  $0000 #equiv SI2C1IP0
  $0001 #equiv SI2C1IP1
  $0002 #equiv SI2C1IP2
  $0004 #equiv MI2C1IP0
  $0005 #equiv MI2C1IP1
  $0006 #equiv MI2C1IP2
  $0008 #equiv CMIP0
  $0009 #equiv CMIP1
  $000A #equiv CMIP2
  $000C #equiv CNIP0
  $000D #equiv CNIP1
  $000E #equiv CNIP2
  // 
  $0000 #equiv SI2C1P0
  $0001 #equiv SI2C1P1
  $0002 #equiv SI2C1P2
  $0004 #equiv MI2C1P0
  $0005 #equiv MI2C1P1
  $0006 #equiv MI2C1P2
  // 
  // ----- IPC5 Bits -----------------------------------------------------
  $0000 #equiv INT1IP0
  $0001 #equiv INT1IP1
  $0002 #equiv INT1IP2
  $0008 #equiv IC7IP0
  $0009 #equiv IC7IP1
  $000A #equiv IC7IP2
  $000C #equiv IC8IP0
  $000D #equiv IC8IP1
  $000E #equiv IC8IP2
  // 
  // ----- IPC6 Bits -----------------------------------------------------
  $0004 #equiv OC3IP0
  $0005 #equiv OC3IP1
  $0006 #equiv OC3IP2
  $0008 #equiv OC4IP0
  $0009 #equiv OC4IP1
  $000A #equiv OC4IP2
  $000C #equiv T4IP0
  $000D #equiv T4IP1
  $000E #equiv T4IP2
  // 
  // ----- IPC7 Bits -----------------------------------------------------
  $0000 #equiv T5IP0
  $0001 #equiv T5IP1
  $0002 #equiv T5IP2
  $0004 #equiv INT2IP0
  $0005 #equiv INT2IP1
  $0006 #equiv INT2IP2
  $0008 #equiv U2RXIP0
  $0009 #equiv U2RXIP1
  $000A #equiv U2RXIP2
  $000C #equiv U2TXIP0
  $000D #equiv U2TXIP1
  $000E #equiv U2TXIP2
  // 
  // ----- IPC8 Bits -----------------------------------------------------
  $0000 #equiv SPF2IP0
  $0001 #equiv SPF2IP1
  $0002 #equiv SPF2IP2
  $0004 #equiv SPI2IP0
  $0005 #equiv SPI2IP1
  $0006 #equiv SPI2IP2
  // 
  // ----- IPC9 Bits -----------------------------------------------------
  $0004 #equiv IC3IP0
  $0005 #equiv IC3IP1
  $0006 #equiv IC3IP2
  $0008 #equiv IC4IP0
  $0009 #equiv IC4IP1
  $000A #equiv IC4IP2
  $000C #equiv IC5IP0
  $000D #equiv IC5IP1
  $000E #equiv IC5IP2
  // 
  // ----- IPC10 Bits -----------------------------------------------------
  $0000 #equiv IC6IP0
  $0001 #equiv IC6IP1
  $0002 #equiv IC6IP2
  $0004 #equiv OC5IP0
  $0005 #equiv OC5IP1
  $0006 #equiv OC5IP2
  $0008 #equiv OC6IP0
  $0009 #equiv OC6IP1
  $000A #equiv OC6IP2
  $000C #equiv OC7IP0
  $000D #equiv OC7IP1
  $000E #equiv OC7IP2
  // 
  // ----- IPC11 Bits -----------------------------------------------------
  $0000 #equiv OC8IP0
  $0001 #equiv OC8IP1
  $0002 #equiv OC8IP2
  // 
  // ----- IPC12 Bits -----------------------------------------------------
  $0004 #equiv SI2C2IP0
  $0005 #equiv SI2C2IP1
  $0006 #equiv SI2C2IP2
  $0008 #equiv MI2C2IP0
  $0009 #equiv MI2C2IP1
  $000A #equiv MI2C2IP2
  // 
  $0004 #equiv SI2C2P0
  $0005 #equiv SI2C2P1
  $0006 #equiv SI2C2P2
  $0008 #equiv MI2C2P0
  $0009 #equiv MI2C2P1
  $000A #equiv MI2C2P2
  // 
  // ----- IPC13 Bits -----------------------------------------------------
  $0004 #equiv INT3IP0
  $0005 #equiv INT3IP1
  $0006 #equiv INT3IP2
  $0008 #equiv INT4IP0
  $0009 #equiv INT4IP1
  $000A #equiv INT4IP2
  // 
  // ----- IPC15 Bits -----------------------------------------------------
  $0008 #equiv RTCIP0
  $0009 #equiv RTCIP1
  $000A #equiv RTCIP2
  // 
  // ----- IPC16 Bits -----------------------------------------------------
  $0004 #equiv U1ERIP0
  $0005 #equiv U1ERIP1
  $0006 #equiv U1ERIP2
  $0008 #equiv U2ERIP0
  $0009 #equiv U2ERIP1
  $000A #equiv U2ERIP2
  $000C #equiv CRCIP0
  $000D #equiv CRCIP1
  $000E #equiv CRCIP2
  // 
  // ----- IPC18 Bits -----------------------------------------------------
  $0000 #equiv LVDIP0
  $0001 #equiv LVDIP1
  $0002 #equiv LVDIP2
  // 
  // ----- IPC19 Bits -----------------------------------------------------
  $0004 #equiv CTMUIP0
  $0005 #equiv CTMUIP1
  $0006 #equiv CTMUIP2
  // 
  // ----- IPC20 Bits -----------------------------------------------------
  $0004 #equiv U3ERIP0
  $0005 #equiv U3ERIP1
  $0006 #equiv U3ERIP2
  $0008 #equiv U3RXIP0
  $0009 #equiv U3RXIP1
  $000A #equiv U3RXIP2
  $000C #equiv U3TXIP0
  $000D #equiv U3TXIP1
  $000E #equiv U3TXIP2
  // 
  // ----- IPC21 Bits -----------------------------------------------------
  $0000 #equiv SI2C3IP0
  $0001 #equiv SI2C3IP1
  $0002 #equiv SI2C3IP2
  $0004 #equiv MI2C3IP0
  $0005 #equiv MI2C3IP1
  $0006 #equiv MI2C3IP2
  $0008 #equiv USB1IP0
  $0009 #equiv USB1IP1
  $000A #equiv USB1IP2
  $000C #equiv U4ERIP0
  $000D #equiv U4ERIP1
  $000E #equiv U4ERIP2
  // 
  $0000 #equiv SI2C3P0
  $0001 #equiv SI2C3P1
  $0002 #equiv SI2C3P2
  $0004 #equiv MI2C3P0
  $0005 #equiv MI2C3P1
  $0006 #equiv MI2C3P2
  // 
  // ----- IPC22 Bits -----------------------------------------------------
  $0000 #equiv U4RXIP0
  $0001 #equiv U4RXIP1
  $0002 #equiv U4RXIP2
  $0004 #equiv U4TXIP0
  $0005 #equiv U4TXIP1
  $0006 #equiv U4TXIP2
  $0008 #equiv SPF3IP0
  $0009 #equiv SPF3IP1
  $000A #equiv SPF3IP2
  $000C #equiv SPI3IP0
  $000D #equiv SPI3IP1
  $000E #equiv SPI3IP2
  // 
  // ----- IPC23 Bits -----------------------------------------------------
  $0000 #equiv OC9IP0
  $0001 #equiv OC9IP1
  $0002 #equiv OC9IP2
  $0004 #equiv IC9IP0
  $0005 #equiv IC9IP1
  $0006 #equiv IC9IP2
  // 
  // ----- IPC25 Bits -----------------------------------------------------
  $0000 #equiv GFX1IP0
  $0001 #equiv GFX1IP1
  $0002 #equiv GFX1IP2
  // 
  // ----- INTTREG Bits -----------------------------------------------------
  $000D #equiv VHOLD
  $000F #equiv CPUIRQ
  // 
  $0000 #equiv VECNUM0
  $0001 #equiv VECNUM1
  $0002 #equiv VECNUM2
  $0003 #equiv VECNUM3
  $0004 #equiv VECNUM4
  $0005 #equiv VECNUM5
  $0006 #equiv VECNUM6
  $0008 #equiv ILR0
  $0009 #equiv ILR1
  $000A #equiv ILR2
  $000B #equiv ILR3
  // 
  // ----- T1CON Bits -----------------------------------------------------
  $0001 #equiv TCS
  $0002 #equiv TSYNC
  $0006 #equiv TGATE
  $000D #equiv TSIDL
  $000F #equiv TON
  // 
  $0004 #equiv TCKPS0
  $0005 #equiv TCKPS1
  // 
  // ----- T2CON Bits -----------------------------------------------------
  //        .equiv TCS,     0x0001
  $0003 #equiv T32
  //        .equiv TGATE,   0x0006
  //        .equiv TSIDL,   0x000D
  //        .equiv TON,     0x000F
  // 
  //        .equiv TCKPS0,  0x0004
  //        .equiv TCKPS1,  0x0005
  // 
  // ----- T3CON Bits -----------------------------------------------------
  //        .equiv TCS,     0x0001
  //        .equiv TGATE,   0x0006
  //        .equiv TSIDL,   0x000D
  //        .equiv TON,     0x000F
  // 
  //        .equiv TCKPS0,  0x0004
  //        .equiv TCKPS1,  0x0005
  // 
  // ----- T4CON Bits -----------------------------------------------------
  //        .equiv TCS,     0x0001
  $0003 #equiv T45
  //        .equiv TGATE,   0x0006
  //        .equiv TSIDL,   0x000D
  //        .equiv TON,     0x000F
  // 
  //        .equiv TCKPS0,  0x0004
  //        .equiv TCKPS1,  0x0005
  // 
  // ----- T5CON Bits -----------------------------------------------------
  //        .equiv TCS,     0x0001
  //        .equiv TGATE,   0x0006
  //        .equiv TSIDL,   0x000D
  //        .equiv TON,     0x000F
  // 
  //        .equiv TCKPS0,  0x0004
  //        .equiv TCKPS1,  0x0005
  // 
  // ----- IC1CON1 Bits -----------------------------------------------------
  $0003 #equiv ICBNE
  $0004 #equiv ICOV
  $000D #equiv ICSIDL
  // 
  $0000 #equiv ICM0
  $0001 #equiv ICM1
  $0002 #equiv ICM2
  $0005 #equiv ICI0
  $0006 #equiv ICI1
  $000A #equiv ICTSEL0
  $000B #equiv ICTSEL1
  $000C #equiv ICTSEL2
  // 
  // ----- IC1CON2 Bits -----------------------------------------------------
  $0006 #equiv TRIGSTAT
  $0007 #equiv ICTRIG
  $0008 #equiv IC32
  // 
  $0000 #equiv SYNCSEL0
  $0001 #equiv SYNCSEL1
  $0002 #equiv SYNCSEL2
  $0003 #equiv SYNCSEL3
  $0004 #equiv SYNCSEL4
  // 
  // ----- IC2CON1 Bits -----------------------------------------------------
  //        .equiv ICBNE,   0x0003
  //        .equiv ICOV,    0x0004
  //        .equiv ICSIDL,  0x000D
  // 
  //        .equiv ICM0,    0x0000
  //        .equiv ICM1,    0x0001
  //        .equiv ICM2,    0x0002
  //        .equiv ICI0,    0x0005
  //        .equiv ICI1,    0x0006
  //        .equiv ICTSEL0, 0x000A
  //        .equiv ICTSEL1, 0x000B
  //        .equiv ICTSEL2, 0x000C
  // 
  // ----- IC2CON2 Bits -----------------------------------------------------
  //        .equiv TRIGSTAT, 0x0006
  //        .equiv ICTRIG,  0x0007
  //        .equiv IC32,    0x0008
  // 
  //        .equiv SYNCSEL0, 0x0000
  //        .equiv SYNCSEL1, 0x0001
  //        .equiv SYNCSEL2, 0x0002
  //        .equiv SYNCSEL3, 0x0003
  //        .equiv SYNCSEL4, 0x0004
  // 
  // ----- IC3CON1 Bits -----------------------------------------------------
  //        .equiv ICBNE,   0x0003
  //        .equiv ICOV,    0x0004
  //        .equiv ICSIDL,  0x000D
  // 
  //        .equiv ICM0,    0x0000
  //        .equiv ICM1,    0x0001
  //        .equiv ICM2,    0x0002
  //        .equiv ICI0,    0x0005
  //        .equiv ICI1,    0x0006
  //        .equiv ICTSEL0, 0x000A
  //        .equiv ICTSEL1, 0x000B
  //        .equiv ICTSEL2, 0x000C
  // 
  // ----- IC3CON2 Bits -----------------------------------------------------
  //        .equiv TRIGSTAT, 0x0006
  //        .equiv ICTRIG,  0x0007
  //        .equiv IC32,    0x0008
  // 
  //        .equiv SYNCSEL0, 0x0000
  //        .equiv SYNCSEL1, 0x0001
  //        .equiv SYNCSEL2, 0x0002
  //        .equiv SYNCSEL3, 0x0003
  //        .equiv SYNCSEL4, 0x0004
  // 
  // ----- IC4CON1 Bits -----------------------------------------------------
  //        .equiv ICBNE,   0x0003
  //        .equiv ICOV,    0x0004
  //        .equiv ICSIDL,  0x000D
  // 
  //        .equiv ICM0,    0x0000
  //        .equiv ICM1,    0x0001
  //        .equiv ICM2,    0x0002
  //        .equiv ICI0,    0x0005
  //        .equiv ICI1,    0x0006
  //        .equiv ICTSEL0, 0x000A
  //        .equiv ICTSEL1, 0x000B
  //        .equiv ICTSEL2, 0x000C
  // 
  // ----- IC4CON2 Bits -----------------------------------------------------
  //        .equiv TRIGSTAT, 0x0006
  //        .equiv ICTRIG,  0x0007
  //        .equiv IC32,    0x0008
  // 
  //        .equiv SYNCSEL0, 0x0000
  //        .equiv SYNCSEL1, 0x0001
  //        .equiv SYNCSEL2, 0x0002
  //        .equiv SYNCSEL3, 0x0003
  //        .equiv SYNCSEL4, 0x0004
  // 
  // ----- IC5CON1 Bits -----------------------------------------------------
  //        .equiv ICBNE,   0x0003
  //        .equiv ICOV,    0x0004
  //        .equiv ICSIDL,  0x000D
  // 
  //        .equiv ICM0,    0x0000
  //        .equiv ICM1,    0x0001
  //        .equiv ICM2,    0x0002
  //        .equiv ICI0,    0x0005
  //        .equiv ICI1,    0x0006
  //        .equiv ICTSEL0, 0x000A
  //        .equiv ICTSEL1, 0x000B
  //        .equiv ICTSEL2, 0x000C
  // 
  // ----- IC5CON2 Bits -----------------------------------------------------
  //        .equiv TRIGSTAT, 0x0006
  //        .equiv ICTRIG,  0x0007
  //        .equiv IC32,    0x0008
  // 
  //        .equiv SYNCSEL0, 0x0000
  //        .equiv SYNCSEL1, 0x0001
  //        .equiv SYNCSEL2, 0x0002
  //        .equiv SYNCSEL3, 0x0003
  //        .equiv SYNCSEL4, 0x0004
  // 
  // ----- IC6CON1 Bits -----------------------------------------------------
  //        .equiv ICBNE,   0x0003
  //        .equiv ICOV,    0x0004
  //        .equiv ICSIDL,  0x000D
  // 
  //        .equiv ICM0,    0x0000
  //        .equiv ICM1,    0x0001
  //        .equiv ICM2,    0x0002
  //        .equiv ICI0,    0x0005
  //        .equiv ICI1,    0x0006
  //        .equiv ICTSEL0, 0x000A
  //        .equiv ICTSEL1, 0x000B
  //        .equiv ICTSEL2, 0x000C
  // 
  // ----- IC6CON2 Bits -----------------------------------------------------
  //        .equiv TRIGSTAT, 0x0006
  //        .equiv ICTRIG,  0x0007
  //        .equiv IC32,    0x0008
  // 
  //        .equiv SYNCSEL0, 0x0000
  //        .equiv SYNCSEL1, 0x0001
  //        .equiv SYNCSEL2, 0x0002
  //        .equiv SYNCSEL3, 0x0003
  //        .equiv SYNCSEL4, 0x0004
  // 
  // ----- IC7CON1 Bits -----------------------------------------------------
  //        .equiv ICBNE,   0x0003
  //        .equiv ICOV,    0x0004
  //        .equiv ICSIDL,  0x000D
  // 
  //        .equiv ICM0,    0x0000
  //        .equiv ICM1,    0x0001
  //        .equiv ICM2,    0x0002
  //        .equiv ICI0,    0x0005
  //        .equiv ICI1,    0x0006
  //        .equiv ICTSEL0, 0x000A
  //        .equiv ICTSEL1, 0x000B
  //        .equiv ICTSEL2, 0x000C
  // 
  // ----- IC7CON2 Bits -----------------------------------------------------
  //        .equiv TRIGSTAT, 0x0006
  //        .equiv ICTRIG,  0x0007
  //        .equiv IC32,    0x0008
  // 
  //        .equiv SYNCSEL0, 0x0000
  //        .equiv SYNCSEL1, 0x0001
  //        .equiv SYNCSEL2, 0x0002
  //        .equiv SYNCSEL3, 0x0003
  //        .equiv SYNCSEL4, 0x0004
  // 
  // ----- IC8CON1 Bits -----------------------------------------------------
  //        .equiv ICBNE,   0x0003
  //        .equiv ICOV,    0x0004
  //        .equiv ICSIDL,  0x000D
  // 
  //        .equiv ICM0,    0x0000
  //        .equiv ICM1,    0x0001
  //        .equiv ICM2,    0x0002
  //        .equiv ICI0,    0x0005
  //        .equiv ICI1,    0x0006
  //        .equiv ICTSEL0, 0x000A
  //        .equiv ICTSEL1, 0x000B
  //        .equiv ICTSEL2, 0x000C
  // 
  // ----- IC8CON2 Bits -----------------------------------------------------
  //        .equiv TRIGSTAT, 0x0006
  //        .equiv ICTRIG,  0x0007
  //        .equiv IC32,    0x0008
  // 
  //        .equiv SYNCSEL0, 0x0000
  //        .equiv SYNCSEL1, 0x0001
  //        .equiv SYNCSEL2, 0x0002
  //        .equiv SYNCSEL3, 0x0003
  //        .equiv SYNCSEL4, 0x0004
  // 
  // ----- IC9CON1 Bits -----------------------------------------------------
  //        .equiv ICBNE,   0x0003
  //        .equiv ICOV,    0x0004
  //        .equiv ICSIDL,  0x000D
  // 
  //        .equiv ICM0,    0x0000
  //        .equiv ICM1,    0x0001
  //        .equiv ICM2,    0x0002
  //        .equiv ICI0,    0x0005
  //        .equiv ICI1,    0x0006
  //        .equiv ICTSEL0, 0x000A
  //        .equiv ICTSEL1, 0x000B
  //        .equiv ICTSEL2, 0x000C
  // 
  // ----- IC9CON2 Bits -----------------------------------------------------
  //        .equiv TRIGSTAT, 0x0006
  //        .equiv ICTRIG,  0x0007
  //        .equiv IC32,    0x0008
  // 
  //        .equiv SYNCSEL0, 0x0000
  //        .equiv SYNCSEL1, 0x0001
  //        .equiv SYNCSEL2, 0x0002
  //        .equiv SYNCSEL3, 0x0003
  //        .equiv SYNCSEL4, 0x0004
  // 
  // ----- OC1CON1 Bits -----------------------------------------------------
  $0003 #equiv TRIGMODE
  $000D #equiv OCSIDL
  // 
  $0000 #equiv OCM0
  $0001 #equiv OCM1
  $0002 #equiv OCM2
  $0004 #equiv OCFLT0
  $0005 #equiv OCFLT1
  $0006 #equiv OCFLT2
  $0007 #equiv ENFLT0
  $0008 #equiv ENFLT1
  $0009 #equiv ENFLT2
  $000A #equiv OCTSEL0
  $000B #equiv OCTSEL1
  $000C #equiv OCTSEL2
  // 
  // ----- OC1CON2 Bits -----------------------------------------------------
  $0005 #equiv OCTRIS
  //        .equiv TRIGSTAT, 0x0006
  $0007 #equiv OCTRIG
  $0008 #equiv OC32
  $000C #equiv OCINV
  $000D #equiv FLTTRIEN
  $000E #equiv FLTOUT
  $000F #equiv FLTMD
  // 
  //        .equiv SYNCSEL0, 0x0000
  //        .equiv SYNCSEL1, 0x0001
  //        .equiv SYNCSEL2, 0x0002
  //        .equiv SYNCSEL3, 0x0003
  //        .equiv SYNCSEL4, 0x0004
  $0009 #equiv (DCB0)                           // [name changed]
  $000A #equiv (DCB1)                           // [name changed]
  $000F #equiv FLTMODE
  // 
  // ----- OC2CON1 Bits -----------------------------------------------------
  //        .equiv TRIGMODE, 0x0003
  //        .equiv OCSIDL,  0x000D
  // 
  //        .equiv OCM0,    0x0000
  //        .equiv OCM1,    0x0001
  //        .equiv OCM2,    0x0002
  //        .equiv OCFLT0,  0x0004
  //        .equiv OCFLT1,  0x0005
  //        .equiv OCFLT2,  0x0006
  //        .equiv ENFLT0,  0x0007
  //        .equiv ENFLT1,  0x0008
  //        .equiv ENFLT2,  0x0009
  //        .equiv OCTSEL0, 0x000A
  //        .equiv OCTSEL1, 0x000B
  //        .equiv OCTSEL2, 0x000C
  // 
  // ----- OC2CON2 Bits -----------------------------------------------------
  //        .equiv OCTRIS,  0x0005
  //        .equiv TRIGSTAT, 0x0006
  //        .equiv OCTRIG,  0x0007
  //        .equiv OC32,    0x0008
  //        .equiv OCINV,   0x000C
  //        .equiv FLTTRIEN, 0x000D
  //        .equiv FLTOUT,  0x000E
  //        .equiv FLTMD,   0x000F
  // 
  //        .equiv SYNCSEL0, 0x0000
  //        .equiv SYNCSEL1, 0x0001
  //        .equiv SYNCSEL2, 0x0002
  //        .equiv SYNCSEL3, 0x0003
  //        .equiv SYNCSEL4, 0x0004
  //        .equiv DCB0,    0x0009
  //        .equiv DCB1,    0x000A
  //        .equiv FLTMODE, 0x000F
  // 
  // ----- OC3CON1 Bits -----------------------------------------------------
  //        .equiv TRIGMODE, 0x0003
  //        .equiv OCSIDL,  0x000D
  // 
  //        .equiv OCM0,    0x0000
  //        .equiv OCM1,    0x0001
  //        .equiv OCM2,    0x0002
  //        .equiv OCFLT0,  0x0004
  //        .equiv OCFLT1,  0x0005
  //        .equiv OCFLT2,  0x0006
  //        .equiv ENFLT0,  0x0007
  //        .equiv ENFLT1,  0x0008
  //        .equiv ENFLT2,  0x0009
  //        .equiv OCTSEL0, 0x000A
  //        .equiv OCTSEL1, 0x000B
  //        .equiv OCTSEL2, 0x000C
  // 
  // ----- OC3CON2 Bits -----------------------------------------------------
  //        .equiv OCTRIS,  0x0005
  //        .equiv TRIGSTAT, 0x0006
  //        .equiv OCTRIG,  0x0007
  //        .equiv OC32,    0x0008
  //        .equiv OCINV,   0x000C
  //        .equiv FLTTRIEN, 0x000D
  //        .equiv FLTOUT,  0x000E
  //        .equiv FLTMD,   0x000F
  // 
  //        .equiv SYNCSEL0, 0x0000
  //        .equiv SYNCSEL1, 0x0001
  //        .equiv SYNCSEL2, 0x0002
  //        .equiv SYNCSEL3, 0x0003
  //        .equiv SYNCSEL4, 0x0004
  //        .equiv DCB0,    0x0009
  //        .equiv DCB1,    0x000A
  //        .equiv FLTMODE, 0x000F
  // 
  // ----- OC4CON1 Bits -----------------------------------------------------
  //        .equiv TRIGMODE, 0x0003
  //        .equiv OCSIDL,  0x000D
  // 
  //        .equiv OCM0,    0x0000
  //        .equiv OCM1,    0x0001
  //        .equiv OCM2,    0x0002
  //        .equiv OCFLT0,  0x0004
  //        .equiv OCFLT1,  0x0005
  //        .equiv OCFLT2,  0x0006
  //        .equiv ENFLT0,  0x0007
  //        .equiv ENFLT1,  0x0008
  //        .equiv ENFLT2,  0x0009
  //        .equiv OCTSEL0, 0x000A
  //        .equiv OCTSEL1, 0x000B
  //        .equiv OCTSEL2, 0x000C
  // 
  // ----- OC4CON2 Bits -----------------------------------------------------
  //        .equiv OCTRIS,  0x0005
  //        .equiv TRIGSTAT, 0x0006
  //        .equiv OCTRIG,  0x0007
  //        .equiv OC32,    0x0008
  //        .equiv OCINV,   0x000C
  //        .equiv FLTTRIEN, 0x000D
  //        .equiv FLTOUT,  0x000E
  //        .equiv FLTMD,   0x000F
  // 
  //        .equiv SYNCSEL0, 0x0000
  //        .equiv SYNCSEL1, 0x0001
  //        .equiv SYNCSEL2, 0x0002
  //        .equiv SYNCSEL3, 0x0003
  //        .equiv SYNCSEL4, 0x0004
  //        .equiv DCB0,    0x0009
  //        .equiv DCB1,    0x000A
  //        .equiv FLTMODE, 0x000F
  // 
  // ----- OC5CON1 Bits -----------------------------------------------------
  //        .equiv TRIGMODE, 0x0003
  //        .equiv OCSIDL,  0x000D
  // 
  //        .equiv OCM0,    0x0000
  //        .equiv OCM1,    0x0001
  //        .equiv OCM2,    0x0002
  //        .equiv OCFLT0,  0x0004
  //        .equiv OCFLT1,  0x0005
  //        .equiv OCFLT2,  0x0006
  //        .equiv ENFLT0,  0x0007
  //        .equiv ENFLT1,  0x0008
  //        .equiv ENFLT2,  0x0009
  //        .equiv OCTSEL0, 0x000A
  //        .equiv OCTSEL1, 0x000B
  //        .equiv OCTSEL2, 0x000C
  // 
  // ----- OC5CON2 Bits -----------------------------------------------------
  //        .equiv OCTRIS,  0x0005
  //        .equiv TRIGSTAT, 0x0006
  //        .equiv OCTRIG,  0x0007
  //        .equiv OC32,    0x0008
  //        .equiv OCINV,   0x000C
  //        .equiv FLTTRIEN, 0x000D
  //        .equiv FLTOUT,  0x000E
  //        .equiv FLTMD,   0x000F
  // 
  //        .equiv SYNCSEL0, 0x0000
  //        .equiv SYNCSEL1, 0x0001
  //        .equiv SYNCSEL2, 0x0002
  //        .equiv SYNCSEL3, 0x0003
  //        .equiv SYNCSEL4, 0x0004
  //        .equiv DCB0,    0x0009
  //        .equiv DCB1,    0x000A
  //        .equiv FLTMODE, 0x000F
  // 
  // ----- OC6CON1 Bits -----------------------------------------------------
  //        .equiv TRIGMODE, 0x0003
  //        .equiv OCSIDL,  0x000D
  // 
  //        .equiv OCM0,    0x0000
  //        .equiv OCM1,    0x0001
  //        .equiv OCM2,    0x0002
  //        .equiv OCFLT0,  0x0004
  //        .equiv OCFLT1,  0x0005
  //        .equiv OCFLT2,  0x0006
  //        .equiv ENFLT0,  0x0007
  //        .equiv ENFLT1,  0x0008
  //        .equiv ENFLT2,  0x0009
  //        .equiv OCTSEL0, 0x000A
  //        .equiv OCTSEL1, 0x000B
  //        .equiv OCTSEL2, 0x000C
  // 
  // ----- OC6CON2 Bits -----------------------------------------------------
  //        .equiv OCTRIS,  0x0005
  //        .equiv TRIGSTAT, 0x0006
  //        .equiv OCTRIG,  0x0007
  //        .equiv OC32,    0x0008
  //        .equiv OCINV,   0x000C
  //        .equiv FLTTRIEN, 0x000D
  //        .equiv FLTOUT,  0x000E
  //        .equiv FLTMD,   0x000F
  // 
  //        .equiv SYNCSEL0, 0x0000
  //        .equiv SYNCSEL1, 0x0001
  //        .equiv SYNCSEL2, 0x0002
  //        .equiv SYNCSEL3, 0x0003
  //        .equiv SYNCSEL4, 0x0004
  //        .equiv DCB0,    0x0009
  //        .equiv DCB1,    0x000A
  //        .equiv FLTMODE, 0x000F
  // 
  // ----- OC7CON1 Bits -----------------------------------------------------
  //        .equiv TRIGMODE, 0x0003
  //        .equiv OCSIDL,  0x000D
  // 
  //        .equiv OCM0,    0x0000
  //        .equiv OCM1,    0x0001
  //        .equiv OCM2,    0x0002
  //        .equiv OCFLT0,  0x0004
  //        .equiv OCFLT1,  0x0005
  //        .equiv OCFLT2,  0x0006
  //        .equiv ENFLT0,  0x0007
  //        .equiv ENFLT1,  0x0008
  //        .equiv ENFLT2,  0x0009
  //        .equiv OCTSEL0, 0x000A
  //        .equiv OCTSEL1, 0x000B
  //        .equiv OCTSEL2, 0x000C
  // 
  // ----- OC7CON2 Bits -----------------------------------------------------
  //        .equiv OCTRIS,  0x0005
  //        .equiv TRIGSTAT, 0x0006
  //        .equiv OCTRIG,  0x0007
  //        .equiv OC32,    0x0008
  //        .equiv OCINV,   0x000C
  //        .equiv FLTTRIEN, 0x000D
  //        .equiv FLTOUT,  0x000E
  //        .equiv FLTMD,   0x000F
  // 
  //        .equiv SYNCSEL0, 0x0000
  //        .equiv SYNCSEL1, 0x0001
  //        .equiv SYNCSEL2, 0x0002
  //        .equiv SYNCSEL3, 0x0003
  //        .equiv SYNCSEL4, 0x0004
  //        .equiv DCB0,    0x0009
  //        .equiv DCB1,    0x000A
  //        .equiv FLTMODE, 0x000F
  // 
  // ----- OC8CON1 Bits -----------------------------------------------------
  //        .equiv TRIGMODE, 0x0003
  //        .equiv OCSIDL,  0x000D
  // 
  //        .equiv OCM0,    0x0000
  //        .equiv OCM1,    0x0001
  //        .equiv OCM2,    0x0002
  //        .equiv OCFLT0,  0x0004
  //        .equiv OCFLT1,  0x0005
  //        .equiv OCFLT2,  0x0006
  //        .equiv ENFLT0,  0x0007
  //        .equiv ENFLT1,  0x0008
  //        .equiv ENFLT2,  0x0009
  //        .equiv OCTSEL0, 0x000A
  //        .equiv OCTSEL1, 0x000B
  //        .equiv OCTSEL2, 0x000C
  // 
  // ----- OC8CON2 Bits -----------------------------------------------------
  //        .equiv OCTRIS,  0x0005
  //        .equiv TRIGSTAT, 0x0006
  //        .equiv OCTRIG,  0x0007
  //        .equiv OC32,    0x0008
  //        .equiv OCINV,   0x000C
  //        .equiv FLTTRIEN, 0x000D
  //        .equiv FLTOUT,  0x000E
  //        .equiv FLTMD,   0x000F
  // 
  //        .equiv SYNCSEL0, 0x0000
  //        .equiv SYNCSEL1, 0x0001
  //        .equiv SYNCSEL2, 0x0002
  //        .equiv SYNCSEL3, 0x0003
  //        .equiv SYNCSEL4, 0x0004
  //        .equiv DCB0,    0x0009
  //        .equiv DCB1,    0x000A
  //        .equiv FLTMODE, 0x000F
  // 
  // ----- OC9CON1 Bits -----------------------------------------------------
  //        .equiv TRIGMODE, 0x0003
  //        .equiv OCSIDL,  0x000D
  // 
  //        .equiv OCM0,    0x0000
  //        .equiv OCM1,    0x0001
  //        .equiv OCM2,    0x0002
  //        .equiv OCFLT0,  0x0004
  //        .equiv OCFLT1,  0x0005
  //        .equiv OCFLT2,  0x0006
  //        .equiv ENFLT0,  0x0007
  //        .equiv ENFLT1,  0x0008
  //        .equiv ENFLT2,  0x0009
  //        .equiv OCTSEL0, 0x000A
  //        .equiv OCTSEL1, 0x000B
  //        .equiv OCTSEL2, 0x000C
  // 
  // ----- OC9CON2 Bits -----------------------------------------------------
  //        .equiv OCTRIS,  0x0005
  //        .equiv TRIGSTAT, 0x0006
  //        .equiv OCTRIG,  0x0007
  //        .equiv OC32,    0x0008
  //        .equiv OCINV,   0x000C
  //        .equiv FLTTRIEN, 0x000D
  //        .equiv FLTOUT,  0x000E
  //        .equiv FLTMD,   0x000F
  // 
  //        .equiv SYNCSEL0, 0x0000
  //        .equiv SYNCSEL1, 0x0001
  //        .equiv SYNCSEL2, 0x0002
  //        .equiv SYNCSEL3, 0x0003
  //        .equiv SYNCSEL4, 0x0004
  //        .equiv DCB0,    0x0009
  //        .equiv DCB1,    0x000A
  //        .equiv FLTMODE, 0x000F
  // 
  // ----- I2C1CON Bits -----------------------------------------------------
  $0000 #equiv SEN
  $0001 #equiv RSEN
  $0002 #equiv PEN
  $0003 #equiv RCEN
  $0004 #equiv ACKEN
  $0005 #equiv ACKDT
  $0006 #equiv STREN
  $0007 #equiv GCEN
  $0008 #equiv SMEN
  $0009 #equiv DISSLW
  $000A #equiv A10M
  $000B #equiv IPMIEN
  $000C #equiv SCLREL
  $000D #equiv I2CSIDL
  $000F #equiv I2CEN
  // 
  // ----- I2C1STAT Bits -----------------------------------------------------
  $0000 #equiv TBF
  $0001 #equiv RBF
  $0002 #equiv R_NOT_W
  $0003 #equiv S
  $0004 #equiv P
  $0005 #equiv D_NOT_A
  $0006 #equiv I2COV
  $0007 #equiv IWCOL
  $0008 #equiv (ADD10)                          // [name changed]
  $0009 #equiv GCSTAT
  $000A #equiv BCL
  $000E #equiv TRSTAT
  $000F #equiv ACKSTAT
  // 
  $0002 #equiv R_W
  $0005 #equiv D_A
  // 
  // ----- I2C2CON Bits -----------------------------------------------------
  //        .equiv SEN,     0x0000
  //        .equiv RSEN,    0x0001
  //        .equiv PEN,     0x0002
  //        .equiv RCEN,    0x0003
  //        .equiv ACKEN,   0x0004
  //        .equiv ACKDT,   0x0005
  //        .equiv STREN,   0x0006
  //        .equiv GCEN,    0x0007
  //        .equiv SMEN,    0x0008
  //        .equiv DISSLW,  0x0009
  //        .equiv A10M,    0x000A
  //        .equiv IPMIEN,  0x000B
  //        .equiv SCLREL,  0x000C
  //        .equiv I2CSIDL, 0x000D
  //        .equiv I2CEN,   0x000F
  // 
  // ----- I2C2STAT Bits -----------------------------------------------------
  //        .equiv TBF,     0x0000
  //        .equiv RBF,     0x0001
  //        .equiv R_NOT_W, 0x0002
  //        .equiv S,       0x0003
  //        .equiv P,       0x0004
  //        .equiv D_NOT_A, 0x0005
  //        .equiv I2COV,   0x0006
  //        .equiv IWCOL,   0x0007
  //        .equiv ADD10,   0x0008
  //        .equiv GCSTAT,  0x0009
  //        .equiv BCL,     0x000A
  //        .equiv TRSTAT,  0x000E
  //        .equiv ACKSTAT, 0x000F
  // 
  //        .equiv R_W,     0x0002
  //        .equiv D_A,     0x0005
  // 
  // ----- U1MODE Bits -----------------------------------------------------
  $0000 #equiv STSEL
  $0003 #equiv BRGH
  $0004 #equiv RXINV
  $0005 #equiv ABAUD
  $0006 #equiv LPBACK
  $0007 #equiv WAKE
  $000B #equiv RTSMD
  $000C #equiv IREN
  $000D #equiv USIDL
  $000F #equiv UARTEN
  // 
  $0001 #equiv PDSEL0
  $0002 #equiv PDSEL1
  $0008 #equiv UEN0
  $0009 #equiv UEN1
  // 
  // ----- U1STA Bits -----------------------------------------------------
  $0000 #equiv URXDA
  $0001 #equiv OERR
  $0002 #equiv FERR
  $0003 #equiv PERR
  $0004 #equiv RIDLE
  $0005 #equiv ADDEN
  $0008 #equiv TRMT
  $0009 #equiv UTXBF
  $000A #equiv UTXEN
  $000B #equiv UTXBRK
  $000D #equiv UTXISEL0
  $000E #equiv UTXINV
  $000F #equiv UTXISEL1
  // 
  $0006 #equiv URXISEL0
  $0007 #equiv URXISEL1
  // 
  // ----- U1TXREG Bits -----------------------------------------------------
  $0000 #equiv UTXREG0
  $0001 #equiv UTXREG1
  $0002 #equiv UTXREG2
  $0003 #equiv UTXREG3
  $0004 #equiv UTXREG4
  $0005 #equiv UTXREG5
  $0006 #equiv UTXREG6
  $0007 #equiv UTXREG7
  $0008 #equiv UTXREG8
  // 
  // ----- U1RXREG Bits -----------------------------------------------------
  $0000 #equiv URXREG0
  $0001 #equiv URXREG1
  $0002 #equiv URXREG2
  $0003 #equiv URXREG3
  $0004 #equiv URXREG4
  $0005 #equiv URXREG5
  $0006 #equiv URXREG6
  $0007 #equiv URXREG7
  $0008 #equiv URXREG8
  // 
  // ----- U2MODE Bits -----------------------------------------------------
  //        .equiv STSEL,   0x0000
  //        .equiv BRGH,    0x0003
  //        .equiv RXINV,   0x0004
  //        .equiv ABAUD,   0x0005
  //        .equiv LPBACK,  0x0006
  //        .equiv WAKE,    0x0007
  //        .equiv RTSMD,   0x000B
  //        .equiv IREN,    0x000C
  //        .equiv USIDL,   0x000D
  //        .equiv UARTEN,  0x000F
  // 
  //        .equiv PDSEL0,  0x0001
  //        .equiv PDSEL1,  0x0002
  //        .equiv UEN0,    0x0008
  //        .equiv UEN1,    0x0009
  // 
  // ----- U2STA Bits -----------------------------------------------------
  //        .equiv URXDA,   0x0000
  //        .equiv OERR,    0x0001
  //        .equiv FERR,    0x0002
  //        .equiv PERR,    0x0003
  //        .equiv RIDLE,   0x0004
  //        .equiv ADDEN,   0x0005
  //        .equiv TRMT,    0x0008
  //        .equiv UTXBF,   0x0009
  //        .equiv UTXEN,   0x000A
  //        .equiv UTXBRK,  0x000B
  //        .equiv UTXISEL0, 0x000D
  //        .equiv UTXINV,  0x000E
  //        .equiv UTXISEL1, 0x000F
  // 
  //        .equiv URXISEL0, 0x0006
  //        .equiv URXISEL1, 0x0007
  // 
  // ----- U2TXREG Bits -----------------------------------------------------
  //        .equiv UTXREG0, 0x0000
  //        .equiv UTXREG1, 0x0001
  //        .equiv UTXREG2, 0x0002
  //        .equiv UTXREG3, 0x0003
  //        .equiv UTXREG4, 0x0004
  //        .equiv UTXREG5, 0x0005
  //        .equiv UTXREG6, 0x0006
  //        .equiv UTXREG7, 0x0007
  //        .equiv UTXREG8, 0x0008
  // 
  // ----- U2RXREG Bits -----------------------------------------------------
  //        .equiv URXREG0, 0x0000
  //        .equiv URXREG1, 0x0001
  //        .equiv URXREG2, 0x0002
  //        .equiv URXREG3, 0x0003
  //        .equiv URXREG4, 0x0004
  //        .equiv URXREG5, 0x0005
  //        .equiv URXREG6, 0x0006
  //        .equiv URXREG7, 0x0007
  //        .equiv URXREG8, 0x0008
  // 
  // ----- SPI1STAT Bits -----------------------------------------------------
  $0000 #equiv SPIRBF
  $0001 #equiv SPITBF
  $0005 #equiv SRXMPT
  $0006 #equiv SPIROV
  $0007 #equiv SRMPT
  $000D #equiv SPISIDL
  $000F #equiv SPIEN
  // 
  $0002 #equiv SISEL0
  $0003 #equiv SISEL1
  $0004 #equiv SISEL2
  $0008 #equiv SPIBEC0
  $0009 #equiv SPIBEC1
  $000A #equiv SPIBEC2
  // 
  // ----- SPI1CON1 Bits -----------------------------------------------------
  $0005 #equiv MSTEN
  $0006 #equiv CKP
  $0007 #equiv SSEN
  $0008 #equiv CKE
  $0009 #equiv SMP
  $000A #equiv MODE16
  $000B #equiv DISSDO
  $000C #equiv DISSCK
  // 
  $0000 #equiv PPRE0
  $0001 #equiv PPRE1
  $0002 #equiv SPRE0
  $0003 #equiv SPRE1
  $0004 #equiv SPRE2
  // 
  // ----- SPI1CON2 Bits -----------------------------------------------------
  $0000 #equiv SPIBEN
  $0001 #equiv SPIFE
  $000D #equiv SPIFPOL
  $000E #equiv SPIFSD
  $000F #equiv FRMEN
  // 
  // ----- U3MODE Bits -----------------------------------------------------
  //        .equiv STSEL,   0x0000
  //        .equiv BRGH,    0x0003
  //        .equiv RXINV,   0x0004
  //        .equiv ABAUD,   0x0005
  //        .equiv LPBACK,  0x0006
  //        .equiv WAKE,    0x0007
  //        .equiv RTSMD,   0x000B
  //        .equiv IREN,    0x000C
  //        .equiv USIDL,   0x000D
  //        .equiv UARTEN,  0x000F
  // 
  //        .equiv PDSEL0,  0x0001
  //        .equiv PDSEL1,  0x0002
  //        .equiv UEN0,    0x0008
  //        .equiv UEN1,    0x0009
  // 
  // ----- U3STA Bits -----------------------------------------------------
  //        .equiv URXDA,   0x0000
  //        .equiv OERR,    0x0001
  //        .equiv FERR,    0x0002
  //        .equiv PERR,    0x0003
  //        .equiv RIDLE,   0x0004
  //        .equiv ADDEN,   0x0005
  //        .equiv TRMT,    0x0008
  //        .equiv UTXBF,   0x0009
  //        .equiv UTXEN,   0x000A
  //        .equiv UTXBRK,  0x000B
  //        .equiv UTXISEL0, 0x000D
  //        .equiv UTXINV,  0x000E
  //        .equiv UTXISEL1, 0x000F
  // 
  //        .equiv URXISEL0, 0x0006
  //        .equiv URXISEL1, 0x0007
  // 
  // ----- U3TXREG Bits -----------------------------------------------------
  //        .equiv UTXREG0, 0x0000
  //        .equiv UTXREG1, 0x0001
  //        .equiv UTXREG2, 0x0002
  //        .equiv UTXREG3, 0x0003
  //        .equiv UTXREG4, 0x0004
  //        .equiv UTXREG5, 0x0005
  //        .equiv UTXREG6, 0x0006
  //        .equiv UTXREG7, 0x0007
  //        .equiv UTXREG8, 0x0008
  // 
  // ----- U3RXREG Bits -----------------------------------------------------
  //        .equiv URXREG0, 0x0000
  //        .equiv URXREG1, 0x0001
  //        .equiv URXREG2, 0x0002
  //        .equiv URXREG3, 0x0003
  //        .equiv URXREG4, 0x0004
  //        .equiv URXREG5, 0x0005
  //        .equiv URXREG6, 0x0006
  //        .equiv URXREG7, 0x0007
  //        .equiv URXREG8, 0x0008
  // 
  // ----- SPI2STAT Bits -----------------------------------------------------
  //        .equiv SPIRBF,  0x0000
  //        .equiv SPITBF,  0x0001
  //        .equiv SRXMPT,  0x0005
  //        .equiv SPIROV,  0x0006
  //        .equiv SRMPT,   0x0007
  //        .equiv SPISIDL, 0x000D
  //        .equiv SPIEN,   0x000F
  // 
  //        .equiv SISEL0,  0x0002
  //        .equiv SISEL1,  0x0003
  //        .equiv SISEL2,  0x0004
  //        .equiv SPIBEC0, 0x0008
  //        .equiv SPIBEC1, 0x0009
  //        .equiv SPIBEC2, 0x000A
  // 
  // ----- SPI2CON1 Bits -----------------------------------------------------
  //        .equiv MSTEN,   0x0005
  //        .equiv CKP,     0x0006
  //        .equiv SSEN,    0x0007
  //        .equiv CKE,     0x0008
  //        .equiv SMP,     0x0009
  //        .equiv MODE16,  0x000A
  //        .equiv DISSDO,  0x000B
  //        .equiv DISSCK,  0x000C
  // 
  //        .equiv PPRE0,   0x0000
  //        .equiv PPRE1,   0x0001
  //        .equiv SPRE0,   0x0002
  //        .equiv SPRE1,   0x0003
  //        .equiv SPRE2,   0x0004
  // 
  // ----- SPI2CON2 Bits -----------------------------------------------------
  //        .equiv SPIBEN,  0x0000
  //        .equiv SPIFE,   0x0001
  //        .equiv SPIFPOL, 0x000D
  //        .equiv SPIFSD,  0x000E
  //        .equiv FRMEN,   0x000F
  // 
  // ----- I2C3CON Bits -----------------------------------------------------
  //        .equiv SEN,     0x0000
  //        .equiv RSEN,    0x0001
  //        .equiv PEN,     0x0002
  //        .equiv RCEN,    0x0003
  //        .equiv ACKEN,   0x0004
  //        .equiv ACKDT,   0x0005
  //        .equiv STREN,   0x0006
  //        .equiv GCEN,    0x0007
  //        .equiv SMEN,    0x0008
  //        .equiv DISSLW,  0x0009
  //        .equiv A10M,    0x000A
  //        .equiv IPMIEN,  0x000B
  //        .equiv SCLREL,  0x000C
  //        .equiv I2CSIDL, 0x000D
  //        .equiv I2CEN,   0x000F
  // 
  // ----- I2C3STAT Bits -----------------------------------------------------
  //        .equiv TBF,     0x0000
  //        .equiv RBF,     0x0001
  //        .equiv R_NOT_W, 0x0002
  //        .equiv S,       0x0003
  //        .equiv P,       0x0004
  //        .equiv D_NOT_A, 0x0005
  //        .equiv I2COV,   0x0006
  //        .equiv IWCOL,   0x0007
  //        .equiv ADD10,   0x0008
  //        .equiv GCSTAT,  0x0009
  //        .equiv BCL,     0x000A
  //        .equiv TRSTAT,  0x000E
  //        .equiv ACKSTAT, 0x000F
  // 
  //        .equiv R_W,     0x0002
  //        .equiv D_A,     0x0005
  // 
  // ----- SPI3STAT Bits -----------------------------------------------------
  //        .equiv SPIRBF,  0x0000
  //        .equiv SPITBF,  0x0001
  //        .equiv SRXMPT,  0x0005
  //        .equiv SPIROV,  0x0006
  //        .equiv SRMPT,   0x0007
  //        .equiv SPISIDL, 0x000D
  //        .equiv SPIEN,   0x000F
  // 
  //        .equiv SISEL0,  0x0002
  //        .equiv SISEL1,  0x0003
  //        .equiv SISEL2,  0x0004
  //        .equiv SPIBEC0, 0x0008
  //        .equiv SPIBEC1, 0x0009
  //        .equiv SPIBEC2, 0x000A
  // 
  // ----- SPI3CON1 Bits -----------------------------------------------------
  //        .equiv MSTEN,   0x0005
  //        .equiv CKP,     0x0006
  //        .equiv SSEN,    0x0007
  //        .equiv CKE,     0x0008
  //        .equiv SMP,     0x0009
  //        .equiv MODE16,  0x000A
  //        .equiv DISSDO,  0x000B
  //        .equiv DISSCK,  0x000C
  // 
  //        .equiv PPRE0,   0x0000
  //        .equiv PPRE1,   0x0001
  //        .equiv SPRE0,   0x0002
  //        .equiv SPRE1,   0x0003
  //        .equiv SPRE2,   0x0004
  // 
  // ----- SPI3CON2 Bits -----------------------------------------------------
  //        .equiv SPIBEN,  0x0000
  //        .equiv SPIFE,   0x0001
  //        .equiv SPIFPOL, 0x000D
  //        .equiv SPIFSD,  0x000E
  //        .equiv FRMEN,   0x000F
  // 
  // ----- U4MODE Bits -----------------------------------------------------
  //        .equiv STSEL,   0x0000
  //        .equiv BRGH,    0x0003
  //        .equiv RXINV,   0x0004
  //        .equiv ABAUD,   0x0005
  //        .equiv LPBACK,  0x0006
  //        .equiv WAKE,    0x0007
  //        .equiv RTSMD,   0x000B
  //        .equiv IREN,    0x000C
  //        .equiv USIDL,   0x000D
  //        .equiv UARTEN,  0x000F
  // 
  //        .equiv PDSEL0,  0x0001
  //        .equiv PDSEL1,  0x0002
  //        .equiv UEN0,    0x0008
  //        .equiv UEN1,    0x0009
  // 
  // ----- U4STA Bits -----------------------------------------------------
  //        .equiv URXDA,   0x0000
  //        .equiv OERR,    0x0001
  //        .equiv FERR,    0x0002
  //        .equiv PERR,    0x0003
  //        .equiv RIDLE,   0x0004
  //        .equiv ADDEN,   0x0005
  //        .equiv TRMT,    0x0008
  //        .equiv UTXBF,   0x0009
  //        .equiv UTXEN,   0x000A
  //        .equiv UTXBRK,  0x000B
  //        .equiv UTXISEL0, 0x000D
  //        .equiv UTXINV,  0x000E
  //        .equiv UTXISEL1, 0x000F
  // 
  //        .equiv URXISEL0, 0x0006
  //        .equiv URXISEL1, 0x0007
  // 
  // ----- U4TXREG Bits -----------------------------------------------------
  //        .equiv UTXREG0, 0x0000
  //        .equiv UTXREG1, 0x0001
  //        .equiv UTXREG2, 0x0002
  //        .equiv UTXREG3, 0x0003
  //        .equiv UTXREG4, 0x0004
  //        .equiv UTXREG5, 0x0005
  //        .equiv UTXREG6, 0x0006
  //        .equiv UTXREG7, 0x0007
  //        .equiv UTXREG8, 0x0008
  // 
  // ----- U4RXREG Bits -----------------------------------------------------
  //        .equiv URXREG0, 0x0000
  //        .equiv URXREG1, 0x0001
  //        .equiv URXREG2, 0x0002
  //        .equiv URXREG3, 0x0003
  //        .equiv URXREG4, 0x0004
  //        .equiv URXREG5, 0x0005
  //        .equiv URXREG6, 0x0006
  //        .equiv URXREG7, 0x0007
  //        .equiv URXREG8, 0x0008
  // 
  // ----- TRISB Bits -----------------------------------------------------
  $0000 #equiv TRISB0
  $0001 #equiv TRISB1
  $0002 #equiv TRISB2
  $0003 #equiv TRISB3
  $0004 #equiv TRISB4
  $0005 #equiv TRISB5
  $0006 #equiv TRISB6
  $0007 #equiv TRISB7
  $0008 #equiv TRISB8
  $0009 #equiv TRISB9
  $000A #equiv TRISB10
  $000B #equiv TRISB11
  $000C #equiv TRISB12
  $000D #equiv TRISB13
  $000E #equiv TRISB14
  $000F #equiv TRISB15
  // 
  // ----- PORTB Bits -----------------------------------------------------
  $0000 #equiv RB0
  $0001 #equiv RB1
  $0002 #equiv RB2
  $0003 #equiv RB3
  $0004 #equiv RB4
  $0005 #equiv RB5
  $0006 #equiv RB6
  $0007 #equiv RB7
  $0008 #equiv RB8
  $0009 #equiv RB9
  $000A #equiv RB10
  $000B #equiv RB11
  $000C #equiv RB12
  $000D #equiv RB13
  $000E #equiv RB14
  $000F #equiv RB15
  // 
  // ----- LATB Bits -----------------------------------------------------
  $0000 #equiv LATB0
  $0001 #equiv LATB1
  $0002 #equiv LATB2
  $0003 #equiv LATB3
  $0004 #equiv LATB4
  $0005 #equiv LATB5
  $0006 #equiv LATB6
  $0007 #equiv LATB7
  $0008 #equiv LATB8
  $0009 #equiv LATB9
  $000A #equiv LATB10
  $000B #equiv LATB11
  $000C #equiv LATB12
  $000D #equiv LATB13
  $000E #equiv LATB14
  $000F #equiv LATB15
  // 
  // ----- ODCB Bits -----------------------------------------------------
  $0000 #equiv ODB0
  $0001 #equiv ODB1
  $0002 #equiv ODB2
  $0003 #equiv ODB3
  $0004 #equiv ODB4
  $0005 #equiv ODB5
  $0006 #equiv ODB6
  $0007 #equiv ODB7
  $0008 #equiv ODB8
  $0009 #equiv ODB9
  $000A #equiv ODB10
  $000B #equiv ODB11
  $000C #equiv ODB12
  $000D #equiv ODB13
  $000E #equiv ODB14
  $000F #equiv ODB15
  // 
  // ----- TRISC Bits -----------------------------------------------------
  $000C #equiv TRISC12
  $000D #equiv TRISC13
  $000E #equiv TRISC14
  $000F #equiv TRISC15
  // 
  // ----- PORTC Bits -----------------------------------------------------
  $000C #equiv RC12
  $000D #equiv RC13
  $000E #equiv RC14
  $000F #equiv RC15
  // 
  // ----- LATC Bits -----------------------------------------------------
  $000C #equiv LATC12
  $000D #equiv LATC13
  $000E #equiv LATC14
  $000F #equiv LATC15
  // 
  // ----- ODCC Bits -----------------------------------------------------
  $000C #equiv ODC12
  $000D #equiv ODC13
  $000E #equiv ODC14
  $000F #equiv ODC15
  // 
  // ----- TRISD Bits -----------------------------------------------------
  $0000 #equiv TRISD0
  $0001 #equiv TRISD1
  $0002 #equiv TRISD2
  $0003 #equiv TRISD3
  $0004 #equiv TRISD4
  $0005 #equiv TRISD5
  $0006 #equiv TRISD6
  $0007 #equiv TRISD7
  $0008 #equiv TRISD8
  $0009 #equiv TRISD9
  $000A #equiv TRISD10
  $000B #equiv TRISD11
  // 
  // ----- PORTD Bits -----------------------------------------------------
  $0000 #equiv RD0
  $0001 #equiv RD1
  $0002 #equiv RD2
  $0003 #equiv RD3
  $0004 #equiv RD4
  $0005 #equiv RD5
  $0006 #equiv RD6
  $0007 #equiv RD7
  $0008 #equiv RD8
  $0009 #equiv RD9
  $000A #equiv RD10
  $000B #equiv RD11
  // 
  // ----- LATD Bits -----------------------------------------------------
  $0000 #equiv LATD0
  $0001 #equiv LATD1
  $0002 #equiv LATD2
  $0003 #equiv LATD3
  $0004 #equiv LATD4
  $0005 #equiv LATD5
  $0006 #equiv LATD6
  $0007 #equiv LATD7
  $0008 #equiv LATD8
  $0009 #equiv LATD9
  $000A #equiv LATD10
  $000B #equiv LATD11
  // 
  // ----- ODCD Bits -----------------------------------------------------
  $0000 #equiv ODD0
  $0001 #equiv ODD1
  $0002 #equiv ODD2
  $0003 #equiv ODD3
  $0004 #equiv ODD4
  $0005 #equiv ODD5
  $0006 #equiv ODD6
  $0007 #equiv ODD7
  $0008 #equiv ODD8
  $0009 #equiv ODD9
  $000A #equiv ODD10
  $000B #equiv ODD11
  // 
  // ----- TRISE Bits -----------------------------------------------------
  $0000 #equiv TRISE0
  $0001 #equiv TRISE1
  $0002 #equiv TRISE2
  $0003 #equiv TRISE3
  $0004 #equiv TRISE4
  $0005 #equiv TRISE5
  $0006 #equiv TRISE6
  $0007 #equiv TRISE7
  // 
  // ----- PORTE Bits -----------------------------------------------------
  $0000 #equiv RE0
  $0001 #equiv RE1
  $0002 #equiv RE2
  $0003 #equiv RE3
  $0004 #equiv RE4
  $0005 #equiv RE5
  $0006 #equiv RE6
  $0007 #equiv RE7
  // 
  // ----- LATE Bits -----------------------------------------------------
  $0000 #equiv LATE0
  $0001 #equiv LATE1
  $0002 #equiv LATE2
  $0003 #equiv LATE3
  $0004 #equiv LATE4
  $0005 #equiv LATE5
  $0006 #equiv LATE6
  $0007 #equiv LATE7
  // 
  // ----- ODCE Bits -----------------------------------------------------
  $0000 #equiv ODE0
  $0001 #equiv ODE1
  $0002 #equiv ODE2
  $0003 #equiv ODE3
  $0004 #equiv ODE4
  $0005 #equiv ODE5
  $0006 #equiv ODE6
  $0007 #equiv ODE7
  // 
  // ----- TRISF Bits -----------------------------------------------------
  $0000 #equiv TRISF0
  $0001 #equiv TRISF1
  $0003 #equiv TRISF3
  $0004 #equiv TRISF4
  $0005 #equiv TRISF5
  $0007 #equiv TRISF7
  // 
  // ----- PORTF Bits -----------------------------------------------------
  $0000 #equiv RF0
  $0001 #equiv RF1
  $0003 #equiv RF3
  $0004 #equiv RF4
  $0005 #equiv RF5
  $0007 #equiv RF7
  // 
  // ----- LATF Bits -----------------------------------------------------
  $0000 #equiv LATF0
  $0001 #equiv LATF1
  $0003 #equiv LATF3
  $0004 #equiv LATF4
  $0005 #equiv LATF5
  $0007 #equiv LATF7
  // 
  // ----- ODCF Bits -----------------------------------------------------
  $0000 #equiv ODF0
  $0001 #equiv ODF1
  $0003 #equiv ODF3
  $0004 #equiv ODF4
  $0005 #equiv ODF5
  $0007 #equiv ODF7
  // 
  // ----- TRISG Bits -----------------------------------------------------
  $0002 #equiv TRISG2
  $0003 #equiv TRISG3
  $0006 #equiv TRISG6
  $0007 #equiv TRISG7
  $0008 #equiv TRISG8
  $0009 #equiv TRISG9
  // 
  // ----- PORTG Bits -----------------------------------------------------
  $0002 #equiv RG2
  $0003 #equiv RG3
  $0006 #equiv RG6
  $0007 #equiv RG7
  $0008 #equiv RG8
  $0009 #equiv RG9
  // 
  // ----- LATG Bits -----------------------------------------------------
  $0002 #equiv LATG2
  $0003 #equiv LATG3
  $0006 #equiv LATG6
  $0007 #equiv LATG7
  $0008 #equiv LATG8
  $0009 #equiv LATG9
  // 
  // ----- ODCG Bits -----------------------------------------------------
  $0002 #equiv ODG2
  $0003 #equiv ODG3
  $0006 #equiv ODG6
  $0007 #equiv ODG7
  $0008 #equiv ODG8
  $0009 #equiv ODG9
  // 
  // ----- PADCFG1 Bits -----------------------------------------------------
  $0001 #equiv RTSECSEL
  // 
  $0001 #equiv RTSECSEL0
  // 
  // ----- AD1CON1 Bits -----------------------------------------------------
  $0000 #equiv DONE
  $0001 #equiv SAMP
  $0002 #equiv ASAM
  $000D #equiv ADSIDL
  $000F #equiv ADON
  // 
  $0005 #equiv SSRC0
  $0006 #equiv SSRC1
  $0007 #equiv SSRC2
  $0008 #equiv FORM0
  $0009 #equiv FORM1
  // 
  // ----- AD1CON2 Bits -----------------------------------------------------
  $0000 #equiv ALTS
  $0001 #equiv BUFM
  $0007 #equiv BUFS
  $000A #equiv CSCNA
  // 
  $0002 #equiv SMPI0
  $0003 #equiv SMPI1
  $0004 #equiv SMPI2
  $0005 #equiv SMPI3
  $0006 #equiv SMPI4
  $000D #equiv VCFG0
  $000E #equiv VCFG1
  $000F #equiv VCFG2
  // 
  // ----- AD1CON3 Bits -----------------------------------------------------
  $000F #equiv ADRC
  // 
  $0000 #equiv ADCS0
  $0001 #equiv ADCS1
  $0002 #equiv ADCS2
  $0003 #equiv ADCS3
  $0004 #equiv ADCS4
  $0005 #equiv ADCS5
  $0006 #equiv ADCS6
  $0007 #equiv ADCS7
  $0008 #equiv SAMC0
  $0009 #equiv SAMC1
  $000A #equiv SAMC2
  $000B #equiv SAMC3
  $000C #equiv SAMC4
  // 
  // ----- AD1CHS Bits -----------------------------------------------------
  $0007 #equiv CH0NA
  $000F #equiv CH0NB
  // 
  $0000 #equiv CH0SA0
  $0001 #equiv CH0SA1
  $0002 #equiv CH0SA2
  $0003 #equiv CH0SA3
  $0004 #equiv CH0SA4
  $0008 #equiv CH0SB0
  $0009 #equiv CH0SB1
  $000A #equiv CH0SB2
  $000B #equiv CH0SB3
  $000C #equiv CH0SB4
  // 
  // ----- AD1CHS0 Bits -----------------------------------------------------
  //        .equiv CH0NA,   0x0007
  //        .equiv CH0NB,   0x000F
  // 
  //        .equiv CH0SA0,  0x0000
  //        .equiv CH0SA1,  0x0001
  //        .equiv CH0SA2,  0x0002
  //        .equiv CH0SA3,  0x0003
  //        .equiv CH0SA4,  0x0004
  //        .equiv CH0SB0,  0x0008
  //        .equiv CH0SB1,  0x0009
  //        .equiv CH0SB2,  0x000A
  //        .equiv CH0SB3,  0x000B
  //        .equiv CH0SB4,  0x000C
  // 
  // ----- AD1CSSH Bits -----------------------------------------------------
  $0008 #equiv CSSL24
  $0009 #equiv CSSL25
  $000A #equiv CSSL26
  $000B #equiv CSSL27
  // 
  // ----- AD1CSSL Bits -----------------------------------------------------
  $0000 #equiv CSSL0
  $0001 #equiv CSSL1
  $0002 #equiv CSSL2
  $0003 #equiv CSSL3
  $0004 #equiv CSSL4
  $0005 #equiv CSSL5
  $0006 #equiv CSSL6
  $0007 #equiv CSSL7
  $0008 #equiv CSSL8
  $0009 #equiv CSSL9
  $000A #equiv CSSL10
  $000B #equiv CSSL11
  $000C #equiv CSSL12
  $000D #equiv CSSL13
  $000E #equiv CSSL14
  $000F #equiv CSSL15
  // 
  // ----- CTMUCON Bits -----------------------------------------------------
  $0000 #equiv EDG1STAT
  $0001 #equiv EDG2STAT
  $0004 #equiv EDG1POL
  $0007 #equiv EDG2POL
  $0008 #equiv CTTRIG
  $0009 #equiv IDISSEN
  $000A #equiv EDGSEQEN
  $000B #equiv EDGEN
  $000C #equiv TGEN
  $000D #equiv CTMUSIDL
  $000F #equiv CTMUEN
  // 
  $0002 #equiv EDG1SEL0
  $0003 #equiv EDG1SEL1
  $0005 #equiv EDG2SEL0
  $0006 #equiv EDG2SEL1
  // 
  // ----- CTMUICON Bits -----------------------------------------------------
  $0008 #equiv IRNG0
  $0009 #equiv IRNG1
  $000A #equiv ITRIM0
  $000B #equiv ITRIM1
  $000C #equiv ITRIM2
  $000D #equiv ITRIM3
  $000E #equiv ITRIM4
  $000F #equiv ITRIM5
  // 
  // ----- U1OTGIR Bits -----------------------------------------------------
  $0000 #equiv VBUSVDIF
  $0002 #equiv SESENDIF
  $0003 #equiv SESVDIF
  $0004 #equiv ACTVIF
  $0005 #equiv LSTATEIF
  $0006 #equiv T1MSECIF
  $0007 #equiv IDIF
  // 
  // ----- U1OTGIE Bits -----------------------------------------------------
  $0000 #equiv VBUSVDIE
  $0002 #equiv SESENDIE
  $0003 #equiv SESVDIE
  $0004 #equiv ACTVIE
  $0005 #equiv LSTATEIE
  $0006 #equiv T1MSECIE
  $0007 #equiv IDIE
  // 
  // ----- U1OTGSTAT Bits -----------------------------------------------------
  $0000 #equiv VBUSVD
  $0002 #equiv SESEND
  $0003 #equiv SESVD
  $0005 #equiv LSTATE
  $0007 #equiv ID
  // 
  // ----- U1OTGCON Bits -----------------------------------------------------
  $0000 #equiv VBUSDIS
  $0001 #equiv VBUSCHG
  $0002 #equiv OTGEN
  $0003 #equiv VBUSON
  $0004 #equiv DMPULDWN
  $0005 #equiv DPPULDWN
  $0006 #equiv DMPULUP
  $0007 #equiv DPPULUP
  // 
  // ----- U1PWRC Bits -----------------------------------------------------
  $0000 #equiv USBPWR
  $0001 #equiv USUSPND
  $0004 #equiv USLPGRD
  $0007 #equiv UACTPND
  // 
  $0001 #equiv USUSPEND
  // 
  // ----- U1IR Bits -----------------------------------------------------
  $0000 #equiv URSTIF
  $0001 #equiv UERRIF
  $0002 #equiv SOFIF
  $0003 #equiv TRNIF
  $0004 #equiv IDLEIF
  $0005 #equiv RESUMEIF
  $0006 #equiv ATTACHIF
  $0007 #equiv STALLIF
  // 
  $0000 #equiv DETACHIF
  // 
  // ----- U1IE Bits -----------------------------------------------------
  $0000 #equiv URSTIE
  $0001 #equiv UERRIE
  $0002 #equiv SOFIE
  $0003 #equiv TRNIE
  $0004 #equiv IDLEIE
  $0005 #equiv RESUMEIE
  $0006 #equiv ATTACHIE
  $0007 #equiv STALLIE
  // 
  $0000 #equiv DETACHIE
  // 
  // ----- U1EIR Bits -----------------------------------------------------
  $0000 #equiv PIDEF
  $0001 #equiv CRC5EF
  $0002 #equiv CRC16EF
  $0003 #equiv DFN8EF
  $0004 #equiv BTOEF
  $0005 #equiv DMAEF
  $0007 #equiv BTSEF
  // 
  $0001 #equiv EOFEF
  // 
  // ----- U1EIE Bits -----------------------------------------------------
  $0000 #equiv PIDEE
  $0001 #equiv CRC5EE
  $0002 #equiv CRC16EE
  $0003 #equiv DFN8EE
  $0004 #equiv BTOEE
  $0005 #equiv DMAEE
  $0007 #equiv BTSEE
  // 
  $0001 #equiv EOFEE
  // 
  // ----- U1STAT Bits -----------------------------------------------------
  $0002 #equiv PPBI
  $0003 #equiv DIR
  // 
  $0004 #equiv ENDPT0
  $0005 #equiv ENDPT1
  $0006 #equiv ENDPT2
  $0007 #equiv ENDPT3
  // 
  // ----- U1CON Bits -----------------------------------------------------
  $0000 #equiv USBEN
  $0001 #equiv PPBRST
  $0002 #equiv RESUME
  $0003 #equiv HOSTEN
  $0004 #equiv USBRST
  $0005 #equiv PKTDIS
  $0006 #equiv SE0
  $0007 #equiv JSTATE
  // 
  $0000 #equiv SOFEN
  $0004 #equiv RESET
  $0005 #equiv TOKBUSY
  // 
  // ----- U1ADDR Bits -----------------------------------------------------
  $0007 #equiv LOWSPDEN
  // 
  $0000 #equiv DEVADDR0
  $0001 #equiv DEVADDR1
  $0002 #equiv DEVADDR2
  $0003 #equiv DEVADDR3
  $0004 #equiv DEVADDR4
  $0005 #equiv DEVADDR5
  $0006 #equiv DEVADDR6
  $0007 #equiv LSPDEN
  // 
  // ----- U1BDTP1 Bits -----------------------------------------------------
  $0001 #equiv BDTPTRL0
  $0002 #equiv BDTPTRL1
  $0003 #equiv BDTPTRL2
  $0004 #equiv BDTPTRL3
  $0005 #equiv BDTPTRL4
  $0006 #equiv BDTPTRL5
  $0007 #equiv BDTPTRL6
  // 
  // ----- U1FRML Bits -----------------------------------------------------
  $0000 #equiv FRM0
  $0001 #equiv FRM1
  $0002 #equiv FRM2
  $0003 #equiv FRM3
  $0004 #equiv FRM4
  $0005 #equiv FRM5
  $0006 #equiv FRM6
  $0007 #equiv FRM7
  // 
  // ----- U1FRMH Bits -----------------------------------------------------
  $0000 #equiv FRM8
  $0001 #equiv FRM9
  $0002 #equiv FRM10
  // 
  // ----- U1TOK Bits -----------------------------------------------------
  $0000 #equiv EP0
  $0001 #equiv EP1
  $0002 #equiv EP2
  $0003 #equiv EP3
  $0004 #equiv PID0
  $0005 #equiv PID1
  $0006 #equiv PID2
  $0007 #equiv PID3
  // 
  // ----- U1SOF Bits -----------------------------------------------------
  $0000 #equiv CNT0
  $0001 #equiv CNT1
  $0002 #equiv CNT2
  $0003 #equiv CNT3
  $0004 #equiv CNT4
  $0005 #equiv CNT5
  $0006 #equiv CNT6
  $0007 #equiv CNT7
  // 
  // ----- U1CNFG1 Bits -----------------------------------------------------
  $0004 #equiv USBSIDL
  $0006 #equiv UOEMON
  $0007 #equiv UTEYE
  // 
  $0000 #equiv PPB0
  $0001 #equiv PPB1
  // 
  // ----- U1CNFG2 Bits -----------------------------------------------------
  $0000 #equiv UTRDIS
  $0001 #equiv UVCMPDIS
  $0002 #equiv UVBUSDIS
  $0003 #equiv EXTI2CEN
  $0004 #equiv PUVBUS
  $0005 #equiv UVCMPSEL
  // 
  // ----- U1EP0 Bits -----------------------------------------------------
  $0000 #equiv EPHSHK
  $0001 #equiv EPSTALL
  $0002 #equiv EPTXEN
  $0003 #equiv EPRXEN
  $0004 #equiv EPCONDIS
  $0006 #equiv RETRYDIS
  $0007 #equiv LSPD
  // 
  $0002 #equiv EPINEN
  $0003 #equiv EPOUTEN
  $0007 #equiv LOWSPD
  // 
  // ----- U1EP1 Bits -----------------------------------------------------
  //        .equiv EPHSHK,  0x0000
  //        .equiv EPSTALL, 0x0001
  //        .equiv EPTXEN,  0x0002
  //        .equiv EPRXEN,  0x0003
  //        .equiv EPCONDIS, 0x0004
  // 
  //        .equiv EPINEN,  0x0002
  //        .equiv EPOUTEN, 0x0003
  // 
  // ----- U1EP2 Bits -----------------------------------------------------
  //        .equiv EPHSHK,  0x0000
  //        .equiv EPSTALL, 0x0001
  //        .equiv EPTXEN,  0x0002
  //        .equiv EPRXEN,  0x0003
  //        .equiv EPCONDIS, 0x0004
  // 
  //        .equiv EPINEN,  0x0002
  //        .equiv EPOUTEN, 0x0003
  // 
  // ----- U1EP3 Bits -----------------------------------------------------
  //        .equiv EPHSHK,  0x0000
  //        .equiv EPSTALL, 0x0001
  //        .equiv EPTXEN,  0x0002
  //        .equiv EPRXEN,  0x0003
  //        .equiv EPCONDIS, 0x0004
  // 
  //        .equiv EPINEN,  0x0002
  //        .equiv EPOUTEN, 0x0003
  // 
  // ----- U1EP4 Bits -----------------------------------------------------
  //        .equiv EPHSHK,  0x0000
  //        .equiv EPSTALL, 0x0001
  //        .equiv EPTXEN,  0x0002
  //        .equiv EPRXEN,  0x0003
  //        .equiv EPCONDIS, 0x0004
  // 
  //        .equiv EPINEN,  0x0002
  //        .equiv EPOUTEN, 0x0003
  // 
  // ----- U1EP5 Bits -----------------------------------------------------
  //        .equiv EPHSHK,  0x0000
  //        .equiv EPSTALL, 0x0001
  //        .equiv EPTXEN,  0x0002
  //        .equiv EPRXEN,  0x0003
  //        .equiv EPCONDIS, 0x0004
  // 
  //        .equiv EPINEN,  0x0002
  //        .equiv EPOUTEN, 0x0003
  // 
  // ----- U1EP6 Bits -----------------------------------------------------
  //        .equiv EPHSHK,  0x0000
  //        .equiv EPSTALL, 0x0001
  //        .equiv EPTXEN,  0x0002
  //        .equiv EPRXEN,  0x0003
  //        .equiv EPCONDIS, 0x0004
  // 
  //        .equiv EPINEN,  0x0002
  //        .equiv EPOUTEN, 0x0003
  // 
  // ----- U1EP7 Bits -----------------------------------------------------
  //        .equiv EPHSHK,  0x0000
  //        .equiv EPSTALL, 0x0001
  //        .equiv EPTXEN,  0x0002
  //        .equiv EPRXEN,  0x0003
  //        .equiv EPCONDIS, 0x0004
  // 
  //        .equiv EPINEN,  0x0002
  //        .equiv EPOUTEN, 0x0003
  // 
  // ----- U1EP8 Bits -----------------------------------------------------
  //        .equiv EPHSHK,  0x0000
  //        .equiv EPSTALL, 0x0001
  //        .equiv EPTXEN,  0x0002
  //        .equiv EPRXEN,  0x0003
  //        .equiv EPCONDIS, 0x0004
  // 
  //        .equiv EPINEN,  0x0002
  //        .equiv EPOUTEN, 0x0003
  // 
  // ----- U1EP9 Bits -----------------------------------------------------
  //        .equiv EPHSHK,  0x0000
  //        .equiv EPSTALL, 0x0001
  //        .equiv EPTXEN,  0x0002
  //        .equiv EPRXEN,  0x0003
  //        .equiv EPCONDIS, 0x0004
  // 
  //        .equiv EPINEN,  0x0002
  //        .equiv EPOUTEN, 0x0003
  // 
  // ----- U1EP10 Bits -----------------------------------------------------
  //        .equiv EPHSHK,  0x0000
  //        .equiv EPSTALL, 0x0001
  //        .equiv EPTXEN,  0x0002
  //        .equiv EPRXEN,  0x0003
  //        .equiv EPCONDIS, 0x0004
  // 
  //        .equiv EPINEN,  0x0002
  //        .equiv EPOUTEN, 0x0003
  // 
  // ----- U1EP11 Bits -----------------------------------------------------
  //        .equiv EPHSHK,  0x0000
  //        .equiv EPSTALL, 0x0001
  //        .equiv EPTXEN,  0x0002
  //        .equiv EPRXEN,  0x0003
  //        .equiv EPCONDIS, 0x0004
  // 
  //        .equiv EPINEN,  0x0002
  //        .equiv EPOUTEN, 0x0003
  // 
  // ----- U1EP12 Bits -----------------------------------------------------
  //        .equiv EPHSHK,  0x0000
  //        .equiv EPSTALL, 0x0001
  //        .equiv EPTXEN,  0x0002
  //        .equiv EPRXEN,  0x0003
  //        .equiv EPCONDIS, 0x0004
  // 
  //        .equiv EPINEN,  0x0002
  //        .equiv EPOUTEN, 0x0003
  // 
  // ----- U1EP13 Bits -----------------------------------------------------
  //        .equiv EPHSHK,  0x0000
  //        .equiv EPSTALL, 0x0001
  //        .equiv EPTXEN,  0x0002
  //        .equiv EPRXEN,  0x0003
  //        .equiv EPCONDIS, 0x0004
  // 
  //        .equiv EPINEN,  0x0002
  //        .equiv EPOUTEN, 0x0003
  // 
  // ----- U1EP14 Bits -----------------------------------------------------
  //        .equiv EPHSHK,  0x0000
  //        .equiv EPSTALL, 0x0001
  //        .equiv EPTXEN,  0x0002
  //        .equiv EPRXEN,  0x0003
  //        .equiv EPCONDIS, 0x0004
  // 
  //        .equiv EPINEN,  0x0002
  //        .equiv EPOUTEN, 0x0003
  // 
  // ----- U1EP15 Bits -----------------------------------------------------
  //        .equiv EPHSHK,  0x0000
  //        .equiv EPSTALL, 0x0001
  //        .equiv EPTXEN,  0x0002
  //        .equiv EPRXEN,  0x0003
  //        .equiv EPCONDIS, 0x0004
  // 
  //        .equiv EPINEN,  0x0002
  //        .equiv EPOUTEN, 0x0003
  // 
  // ----- U1PWMRRS Bits -----------------------------------------------------
  $0000 #equiv PER0
  $0001 #equiv PER1
  $0002 #equiv PER2
  $0003 #equiv PER3
  $0004 #equiv PER4
  $0005 #equiv PER5
  $0006 #equiv PER6
  $0007 #equiv PER7
  $0008 #equiv (DC0)                            // [name changed]
  $0009 #equiv (DC1)                            // [name changed]
  $000A #equiv (DC2)                            // [name changed]
  $000B #equiv (DC3)                            // [name changed]
  $000C #equiv (DC4)                            // [name changed]
  $000D #equiv (DC5)                            // [name changed]
  $000E #equiv (DC6)                            // [name changed]
  $000F #equiv (DC7)                            // [name changed]
  // 
  $0000 #equiv USBRS0
  $0001 #equiv USBRS1
  $0002 #equiv USBRS2
  $0003 #equiv USBRS3
  $0004 #equiv USBRS4
  $0005 #equiv USBRS5
  $0006 #equiv USBRS6
  $0007 #equiv USBRS7
  $0008 #equiv USBR0
  $0009 #equiv USBR1
  $000A #equiv USBR2
  $000B #equiv USBR3
  $000C #equiv USBR4
  $000D #equiv USBR5
  $000E #equiv USBR6
  $000F #equiv USBR7
  // 
  // ----- U1PWMCON Bits -----------------------------------------------------
  $0008 #equiv CNTEN
  $0009 #equiv PWMPOL
  $000F #equiv PWMEN
  // 
  // ----- ANCFG Bits -----------------------------------------------------
  $0000 #equiv VBGEN
  $0001 #equiv VBG2EN
  $0002 #equiv VBG6EN
  // 
  // ----- ANSB Bits -----------------------------------------------------
  $0000 #equiv ANSB0
  $0001 #equiv ANSB1
  $0002 #equiv ANSB2
  $0003 #equiv ANSB3
  $0004 #equiv ANSB4
  $0005 #equiv ANSB5
  $0006 #equiv ANSB6
  $0007 #equiv ANSB7
  $0008 #equiv ANSB8
  $0009 #equiv ANSB9
  $000A #equiv ANSB10
  $000B #equiv ANSB11
  $000C #equiv ANSB12
  $000D #equiv ANSB13
  $000E #equiv ANSB14
  $000F #equiv ANSB15
  // 
  // ----- ANSC Bits -----------------------------------------------------
  $000D #equiv ANSC13
  $000E #equiv ANSC14
  // 
  // ----- ANSD Bits -----------------------------------------------------
  $0006 #equiv ANSD6
  $0007 #equiv ANSD7
  // 
  // ----- ANSF Bits -----------------------------------------------------
  $0000 #equiv ANSF0
  // 
  // ----- ANSG Bits -----------------------------------------------------
  $0006 #equiv ANSG6
  $0007 #equiv ANSG7
  $0008 #equiv ANSG8
  $0009 #equiv ANSG9
  // 
  // ----- ALCFGRPT Bits -----------------------------------------------------
  $000E #equiv CHIME
  $000F #equiv ALRMEN
  // 
  $0000 #equiv ARPT0
  $0001 #equiv ARPT1
  $0002 #equiv ARPT2
  $0003 #equiv ARPT3
  $0004 #equiv ARPT4
  $0005 #equiv ARPT5
  $0006 #equiv ARPT6
  $0007 #equiv ARPT7
  $0008 #equiv ALRMPTR0
  $0009 #equiv ALRMPTR1
  $000A #equiv AMASK0
  $000B #equiv AMASK1
  $000C #equiv AMASK2
  $000D #equiv AMASK3
  // 
  // ----- RCFGCAL Bits -----------------------------------------------------
  $000A #equiv RTCOE
  $000B #equiv HALFSEC
  $000C #equiv RTCSYNC
  $000D #equiv RTCWREN
  $000F #equiv RTCEN
  // 
  $0000 #equiv CAL0
  $0001 #equiv CAL1
  $0002 #equiv CAL2
  $0003 #equiv CAL3
  $0004 #equiv CAL4
  $0005 #equiv CAL5
  $0006 #equiv CAL6
  $0007 #equiv CAL7
  $0008 #equiv RTCPTR0
  $0009 #equiv RTCPTR1
  // 
  // ----- CMSTAT Bits -----------------------------------------------------
  $0000 #equiv C1OUT
  $0001 #equiv C2OUT
  $0002 #equiv C3OUT
  $0008 #equiv C1EVT
  $0009 #equiv C2EVT
  $000A #equiv C3EVT
  $000F #equiv CMIDL
  // 
  // ----- CVRCON Bits -----------------------------------------------------
  $0004 #equiv CVRSS
  $0005 #equiv CVRR
  $0006 #equiv CVROE
  $0007 #equiv CVREN
  $000A #equiv CVREFP
  // 
  $0000 #equiv CVR0
  $0001 #equiv CVR1
  $0002 #equiv CVR2
  $0003 #equiv CVR3
  $0008 #equiv CVREFM0
  $0009 #equiv CVREFM1
  // 
  // ----- CM1CON Bits -----------------------------------------------------
  $0004 #equiv CREF
  $0008 #equiv COUT
  $0009 #equiv CEVT
  $000D #equiv CPOL
  $000E #equiv COE
  $000F #equiv CON
  // 
  $0000 #equiv CCH0
  $0001 #equiv CCH1
  $0006 #equiv EVPOL0
  $0007 #equiv EVPOL1
  $000F #equiv CEN
  // 
  // ----- CM2CON Bits -----------------------------------------------------
  //        .equiv CREF,    0x0004
  //        .equiv COUT,    0x0008
  //        .equiv CEVT,    0x0009
  //        .equiv CPOL,    0x000D
  //        .equiv COE,     0x000E
  //        .equiv CON,     0x000F
  // 
  //        .equiv CCH0,    0x0000
  //        .equiv CCH1,    0x0001
  //        .equiv EVPOL0,  0x0006
  //        .equiv EVPOL1,  0x0007
  //        .equiv CEN,     0x000F
  // 
  // ----- CM3CON Bits -----------------------------------------------------
  //        .equiv CREF,    0x0004
  //        .equiv COUT,    0x0008
  //        .equiv CEVT,    0x0009
  //        .equiv CPOL,    0x000D
  //        .equiv COE,     0x000E
  //        .equiv CON,     0x000F
  // 
  //        .equiv CCH0,    0x0000
  //        .equiv CCH1,    0x0001
  //        .equiv EVPOL0,  0x0006
  //        .equiv EVPOL1,  0x0007
  //        .equiv CEN,     0x000F
  // 
  // ----- CRCCON1 Bits -----------------------------------------------------
  $0003 #equiv LENDIAN
  $0004 #equiv CRCGO
  $0005 #equiv CRCISEL
  $0006 #equiv CRCMPT
  $0007 #equiv CRCFUL
  $000D #equiv CSIDL
  $000F #equiv CRCEN
  // 
  $0008 #equiv VWORD0
  $0009 #equiv VWORD1
  $000A #equiv VWORD2
  $000B #equiv VWORD3
  $000C #equiv VWORD4
  // 
  // ----- CRCCON2 Bits -----------------------------------------------------
  $0000 #equiv PLEN0
  $0001 #equiv PLEN1
  $0002 #equiv PLEN2
  $0003 #equiv PLEN3
  $0004 #equiv PLEN4
  $0008 #equiv DWIDTH0
  $0009 #equiv DWIDTH1
  $000A #equiv DWIDTH2
  $000B #equiv DWIDTH3
  $000C #equiv DWIDTH4
  // 
  // ----- CRCXORL Bits -----------------------------------------------------
  $0001 #equiv X1
  $0002 #equiv X2
  $0003 #equiv X3
  $0004 #equiv X4
  $0005 #equiv X5
  $0006 #equiv X6
  $0007 #equiv X7
  $0008 #equiv X8
  $0009 #equiv X9
  $000A #equiv X10
  $000B #equiv X11
  $000C #equiv X12
  $000D #equiv X13
  $000E #equiv X14
  $000F #equiv X15
  // 
  // ----- CRCXORH Bits -----------------------------------------------------
  $0000 #equiv X16
  $0001 #equiv X17
  $0002 #equiv X18
  $0003 #equiv X19
  $0004 #equiv X20
  $0005 #equiv X21
  $0006 #equiv X22
  $0007 #equiv X23
  $0008 #equiv X24
  $0009 #equiv X25
  $000A #equiv X26
  $000B #equiv X27
  $000C #equiv X28
  $000D #equiv X29
  $000E #equiv X30
  $000F #equiv X31
  // 
  // ----- RPINR0 Bits -----------------------------------------------------
  $0008 #equiv INT1R0
  $0009 #equiv INT1R1
  $000A #equiv INT1R2
  $000B #equiv INT1R3
  $000C #equiv INT1R4
  $000D #equiv INT1R5
  // 
  // ----- RPINR1 Bits -----------------------------------------------------
  $0000 #equiv INT2R0
  $0001 #equiv INT2R1
  $0002 #equiv INT2R2
  $0003 #equiv INT2R3
  $0004 #equiv INT2R4
  $0005 #equiv INT2R5
  $0008 #equiv INT3R0
  $0009 #equiv INT3R1
  $000A #equiv INT3R2
  $000B #equiv INT3R3
  $000C #equiv INT3R4
  $000D #equiv INT3R5
  // 
  // ----- RPINR2 Bits -----------------------------------------------------
  $0000 #equiv INT4R0
  $0001 #equiv INT4R1
  $0002 #equiv INT4R2
  $0003 #equiv INT5R3
  $0004 #equiv INT4R4
  $0005 #equiv INT4R5
  // 
  // ----- RPINR3 Bits -----------------------------------------------------
  $0000 #equiv T2CKR0
  $0001 #equiv T2CKR1
  $0002 #equiv T2CKR2
  $0003 #equiv T2CKR3
  $0004 #equiv T2CKR4
  $0005 #equiv T2CKR5
  $0008 #equiv T3CKR0
  $0009 #equiv T3CKR1
  $000A #equiv T3CKR2
  $000B #equiv T3CKR3
  $000C #equiv T3CKR4
  $000D #equiv T3CKR5
  // 
  // ----- RPINR4 Bits -----------------------------------------------------
  $0000 #equiv T4CKR0
  $0001 #equiv T4CKR1
  $0002 #equiv T4CKR2
  $0003 #equiv T4CKR3
  $0004 #equiv T4CKR4
  $0005 #equiv T4CKR5
  $0008 #equiv T5CKR0
  $0009 #equiv T5CKR1
  $000A #equiv T5CKR2
  $000B #equiv T5CKR3
  $000C #equiv T5CKR4
  $000D #equiv T5CKR5
  // 
  // ----- RPINR7 Bits -----------------------------------------------------
  $0000 #equiv IC1R0
  $0001 #equiv IC1R1
  $0002 #equiv IC1R2
  $0003 #equiv IC1R3
  $0004 #equiv IC1R4
  $0005 #equiv IC1R5
  $0008 #equiv IC2R0
  $0009 #equiv IC2R1
  $000A #equiv IC2R2
  $000B #equiv IC2R3
  $000C #equiv IC2R4
  $000D #equiv IC2R5
  // 
  // ----- RPINR8 Bits -----------------------------------------------------
  $0000 #equiv IC3R0
  $0001 #equiv IC3R1
  $0002 #equiv IC3R2
  $0003 #equiv IC3R3
  $0004 #equiv IC3R4
  $0005 #equiv IC3R5
  $0008 #equiv IC4R0
  $0009 #equiv IC4R1
  $000A #equiv IC4R2
  $000B #equiv IC4R3
  $000C #equiv IC4R4
  $000D #equiv IC4R5
  // 
  // ----- RPINR9 Bits -----------------------------------------------------
  $0000 #equiv IC5R0
  $0001 #equiv IC5R1
  $0002 #equiv IC5R2
  $0003 #equiv IC5R3
  $0004 #equiv IC5R4
  $0005 #equiv IC5R5
  $0008 #equiv IC6R0
  $0009 #equiv IC6R1
  $000A #equiv IC6R2
  $000B #equiv IC6R3
  $000C #equiv IC6R4
  $000D #equiv IC6R5
  // 
  // ----- RPINR10 Bits -----------------------------------------------------
  $0000 #equiv IC7R0
  $0001 #equiv IC7R1
  $0002 #equiv IC7R2
  $0003 #equiv IC7R3
  $0004 #equiv IC7R4
  $0005 #equiv IC7R5
  $0008 #equiv IC8R0
  $0009 #equiv IC8R1
  $000A #equiv IC8R2
  $000B #equiv IC8R3
  $000C #equiv IC8R4
  $000D #equiv IC8R5
  // 
  // ----- RPINR11 Bits -----------------------------------------------------
  $0000 #equiv OCFAR0
  $0001 #equiv OCFAR1
  $0002 #equiv OCFAR2
  $0003 #equiv OCFAR3
  $0004 #equiv OCFAR4
  $0005 #equiv OCFAR5
  $0008 #equiv OCFBR0
  $0009 #equiv OCFBR1
  $000A #equiv OCFBR2
  $000B #equiv OCFBR3
  $000C #equiv OCFBR4
  $000D #equiv OCFBR5
  // 
  // ----- RPINR15 Bits -----------------------------------------------------
  $0008 #equiv IC9R0
  $0009 #equiv IC9R1
  $000A #equiv IC9R2
  $000B #equiv IC9R3
  $000C #equiv IC9R4
  $000D #equiv IC9R5
  // 
  // ----- RPINR17 Bits -----------------------------------------------------
  $0008 #equiv U3RXR0
  $0009 #equiv U3RXR1
  $000A #equiv U3RXR2
  $000B #equiv U3RXR3
  $000C #equiv U3RXR4
  $000D #equiv U3RXR5
  // 
  // ----- RPINR18 Bits -----------------------------------------------------
  $0000 #equiv U1RXR0
  $0001 #equiv U1RXR1
  $0002 #equiv U1RXR2
  $0003 #equiv U1RXR3
  $0004 #equiv U1RXR4
  $0005 #equiv U1RXR5
  $0008 #equiv U1CTSR0
  $0009 #equiv U1CTSR1
  $000A #equiv U1CTSR2
  $000B #equiv U1CTSR3
  $000C #equiv U1CTSR4
  $000D #equiv U1CTSR5
  // 
  // ----- RPINR19 Bits -----------------------------------------------------
  $0000 #equiv U2RXR0
  $0001 #equiv U2RXR1
  $0002 #equiv U2RXR2
  $0003 #equiv U2RXR3
  $0004 #equiv U2RXR4
  $0005 #equiv U2RXR5
  $0008 #equiv U2CTSR0
  $0009 #equiv U2CTSR1
  $000A #equiv U2CTSR2
  $000B #equiv U2CTSR3
  $000C #equiv U2CTSR4
  $000D #equiv U2CTSR5
  // 
  // ----- RPINR20 Bits -----------------------------------------------------
  $0000 #equiv SDI1R0
  $0001 #equiv SDI1R1
  $0002 #equiv SDI1R2
  $0003 #equiv SDI1R3
  $0004 #equiv SDI1R4
  $0005 #equiv SDI1R5
  $0008 #equiv SCK1R0
  $0009 #equiv SCK1R1
  $000A #equiv SCK1R2
  $000B #equiv SCK1R3
  $000C #equiv SCK1R4
  $000D #equiv SCK1R5
  // 
  // ----- RPINR21 Bits -----------------------------------------------------
  $0000 #equiv SS1R0
  $0001 #equiv SS1R1
  $0002 #equiv SS1R2
  $0003 #equiv SS1R3
  $0004 #equiv SS1R4
  $0005 #equiv SS1R5
  $0008 #equiv U3CTSR0
  $0009 #equiv U3CTSR1
  $000A #equiv U3CTSR2
  $000B #equiv U3CTSR3
  $000C #equiv U3CTSR4
  $000D #equiv U3CTSR5
  // 
  // ----- RPINR22 Bits -----------------------------------------------------
  $0000 #equiv SDI2R0
  $0001 #equiv SDI2R1
  $0002 #equiv SDI2R2
  $0003 #equiv SDI2R3
  $0004 #equiv SDI2R4
  $0005 #equiv SDI2R5
  $0008 #equiv SCK2R0
  $0009 #equiv SCK2R1
  $000A #equiv SCK2R2
  $000B #equiv SCK2R3
  $000C #equiv SCK2R4
  $000D #equiv SCK2R5
  // 
  // ----- RPINR23 Bits -----------------------------------------------------
  $0000 #equiv SS2R0
  $0001 #equiv SS2R1
  $0002 #equiv SS2R2
  $0003 #equiv SS2R3
  $0004 #equiv SS2R4
  $0005 #equiv SS2R5
  // 
  // ----- RPINR27 Bits -----------------------------------------------------
  $0000 #equiv U4RXR0
  $0001 #equiv U4RXR1
  $0002 #equiv U4RXR2
  $0003 #equiv U4RXR3
  $0004 #equiv U4RXR4
  $0005 #equiv U4RXR5
  $0008 #equiv U4CTSR0
  $0009 #equiv U4CTSR1
  $000A #equiv U4CTSR2
  $000B #equiv U4CTSR3
  $000C #equiv U4CTSR4
  $000D #equiv U4CTSR5
  // 
  // ----- RPINR28 Bits -----------------------------------------------------
  $0000 #equiv SDI3R0
  $0001 #equiv SDI3R1
  $0002 #equiv SDI3R2
  $0003 #equiv SDI3R3
  $0004 #equiv SDI3R4
  $0005 #equiv SDI3R5
  $0008 #equiv SCK3R0
  $0009 #equiv SCK3R1
  $000A #equiv SCK3R2
  $000B #equiv SCK3R3
  $000C #equiv SCK3R4
  $000D #equiv SCK3R5
  // 
  // ----- RPINR29 Bits -----------------------------------------------------
  $0000 #equiv SS3R0
  $0001 #equiv SS3R1
  $0002 #equiv SS3R2
  $0003 #equiv SS3R3
  $0004 #equiv SS3R4
  $0005 #equiv SS3R5
  // 
  // ----- RPOR0 Bits -----------------------------------------------------
  $0000 #equiv RP0R0
  $0001 #equiv RP0R1
  $0002 #equiv RP0R2
  $0003 #equiv RP0R3
  $0004 #equiv RP0R4
  $0005 #equiv RP0R5
  $0008 #equiv RP1R0
  $0009 #equiv RP1R1
  $000A #equiv RP1R2
  $000B #equiv RP1R3
  $000C #equiv RP1R4
  $000D #equiv RP1R5
  // 
  // ----- RPOR1 Bits -----------------------------------------------------
  $0000 #equiv RP2R0
  $0001 #equiv RP2R1
  $0002 #equiv RP2R2
  $0003 #equiv RP2R3
  $0004 #equiv RP2R4
  $0005 #equiv RP2R5
  $0008 #equiv RP3R0
  $0009 #equiv RP3R1
  $000A #equiv RP3R2
  $000B #equiv RP3R3
  $000C #equiv RP3R4
  $000D #equiv RP3R5
  // 
  // ----- RPOR2 Bits -----------------------------------------------------
  $0000 #equiv RP4R0
  $0001 #equiv RP4R1
  $0002 #equiv RP4R2
  $0003 #equiv RP4R3
  $0004 #equiv RP4R4
  $0005 #equiv RP4R5
  // 
  // ----- RPOR3 Bits -----------------------------------------------------
  $0000 #equiv RP6R0
  $0001 #equiv RP6R1
  $0002 #equiv RP6R2
  $0003 #equiv RP6R3
  $0004 #equiv RP6R4
  $0005 #equiv RP6R5
  $0008 #equiv RP7R0
  $0009 #equiv RP7R1
  $000A #equiv RP7R2
  $000B #equiv RP7R3
  $000C #equiv RP7R4
  $000D #equiv RP7R5
  // 
  // ----- RPOR4 Bits -----------------------------------------------------
  $0000 #equiv RP8R0
  $0001 #equiv RP8R1
  $0002 #equiv RP8R2
  $0003 #equiv RP8R3
  $0004 #equiv RP8R4
  $0005 #equiv RP8R5
  $0008 #equiv RP9R0
  $0009 #equiv RP9R1
  $000A #equiv RP9R2
  $000B #equiv RP9R3
  $000C #equiv RP9R4
  $000D #equiv RP9R5
  // 
  // ----- RPOR5 Bits -----------------------------------------------------
  $0000 #equiv RP10R0
  $0001 #equiv RP10R1
  $0002 #equiv RP10R2
  $0003 #equiv RP10R3
  $0004 #equiv RP10R4
  $0005 #equiv RP10R5
  $0008 #equiv RP11R0
  $0009 #equiv RP11R1
  $000A #equiv RP11R2
  $000B #equiv RP11R3
  $000C #equiv RP11R4
  $000D #equiv RP11R5
  // 
  // ----- RPOR6 Bits -----------------------------------------------------
  $0000 #equiv RP12R0
  $0001 #equiv RP12R1
  $0002 #equiv RP12R2
  $0003 #equiv RP12R3
  $0004 #equiv RP12R4
  $0005 #equiv RP12R5
  $0008 #equiv RP13R0
  $0009 #equiv RP13R1
  $000A #equiv RP13R2
  $000B #equiv RP13R3
  $000C #equiv RP13R4
  $000D #equiv RP13R5
  // 
  // ----- RPOR7 Bits -----------------------------------------------------
  $0000 #equiv RP14R0
  $0001 #equiv RP14R1
  $0002 #equiv RP14R2
  $0003 #equiv RP14R3
  $0004 #equiv RP14R4
  $0005 #equiv RP14R5
  // 
  // ----- RPOR8 Bits -----------------------------------------------------
  $0000 #equiv RP16R0
  $0001 #equiv RP16R1
  $0002 #equiv RP16R2
  $0003 #equiv RP16R3
  $0004 #equiv RP16R4
  $0005 #equiv RP16R5
  $0008 #equiv RP17R0
  $0009 #equiv RP17R1
  $000A #equiv RP17R2
  $000B #equiv RP17R3
  $000C #equiv RP17R4
  $000D #equiv RP17R5
  // 
  // ----- RPOR9 Bits -----------------------------------------------------
  $0000 #equiv RP18R0
  $0001 #equiv RP18R1
  $0002 #equiv RP18R2
  $0003 #equiv RP18R3
  $0004 #equiv RP18R4
  $0005 #equiv RP18R5
  $0008 #equiv RP19R0
  $0009 #equiv RP19R1
  $000A #equiv RP19R2
  $000B #equiv RP19R3
  $000C #equiv RP19R4
  $000D #equiv RP19R5
  // 
  // ----- RPOR10 Bits -----------------------------------------------------
  $0000 #equiv RP20R0
  $0001 #equiv RP20R1
  $0002 #equiv RP20R2
  $0003 #equiv RP20R3
  $0004 #equiv RP20R4
  $0005 #equiv RP20R5
  $0008 #equiv RP21R0
  $0009 #equiv RP21R1
  $000A #equiv RP21R2
  $000B #equiv RP21R3
  $000C #equiv RP21R4
  $000D #equiv RP21R5
  // 
  // ----- RPOR11 Bits -----------------------------------------------------
  $0000 #equiv RP22R0
  $0001 #equiv RP22R1
  $0002 #equiv RP22R2
  $0003 #equiv RP22R3
  $0004 #equiv RP22R4
  $0005 #equiv RP22R5
  $0008 #equiv RP23R0
  $0009 #equiv RP23R1
  $000A #equiv RP23R2
  $000B #equiv RP23R3
  $000C #equiv RP23R4
  $000D #equiv RP23R5
  // 
  // ----- RPOR12 Bits -----------------------------------------------------
  $0000 #equiv RP24R0
  $0001 #equiv RP24R1
  $0002 #equiv RP24R2
  $0003 #equiv RP24R3
  $0004 #equiv RP24R4
  $0005 #equiv RP24R5
  $0008 #equiv RP25R0
  $0009 #equiv RP25R1
  $000A #equiv RP25R2
  $000B #equiv RP25R3
  $000C #equiv RP25R4
  $000D #equiv RP25R5
  // 
  // ----- RPOR13 Bits -----------------------------------------------------
  $0000 #equiv RP26R0
  $0001 #equiv RP26R1
  $0002 #equiv RP26R2
  $0003 #equiv RP26R3
  $0004 #equiv RP26R4
  $0005 #equiv RP26R5
  $0008 #equiv RP27R0
  $0009 #equiv RP27R1
  $000A #equiv RP27R2
  $000B #equiv RP27R3
  $000C #equiv RP27R4
  $000D #equiv RP27R5
  // 
  // ----- RPOR14 Bits -----------------------------------------------------
  $0000 #equiv RP28R0
  $0001 #equiv RP28R1
  $0002 #equiv RP28R2
  $0003 #equiv RP28R3
  $0004 #equiv RP28R4
  $0005 #equiv RP28R5
  $0008 #equiv RP29R0
  $0009 #equiv RP29R1
  $000A #equiv RP29R2
  $000B #equiv RP29R3
  $000C #equiv RP29R4
  $000D #equiv RP29R5
  // 
  // ----- G1CMDL Bits -----------------------------------------------------
  $0000 #equiv GCMD0
  $0001 #equiv GCMD1
  $0002 #equiv GCMD2
  $0003 #equiv GCMD3
  $0004 #equiv GCMD4
  $0005 #equiv GCMD5
  $0006 #equiv GCMD6
  $0007 #equiv GCMD7
  $0008 #equiv GCMD8
  $0009 #equiv GCMD9
  $000A #equiv GCMD10
  $000B #equiv GCMD11
  $000C #equiv GCMD12
  $000D #equiv GCMD13
  $000E #equiv GCMD14
  $000F #equiv GCMD15
  // 
  // ----- G1CMDH Bits -----------------------------------------------------
  $0000 #equiv GCMD16
  $0001 #equiv GCMD17
  $0002 #equiv GCMD18
  $0003 #equiv GCMD19
  $0004 #equiv GCMD20
  $0005 #equiv GCMD21
  $0006 #equiv GCMD22
  $0007 #equiv GCMD23
  $0008 #equiv GCMD24
  $0009 #equiv GCMD25
  $000A #equiv GCMD26
  $000B #equiv GCMD27
  $000C #equiv GCMD28
  $000D #equiv GCMD29
  $000E #equiv GCMD30
  $000F #equiv GCMD31
  // 
  // ----- G1CON1 Bits -----------------------------------------------------
  $000D #equiv G1SIDL
  $000F #equiv G1EN
  // 
  $0000 #equiv GCMDCNT0
  $0001 #equiv GCMDCNT1
  $0002 #equiv GCMDCNT2
  $0003 #equiv GCMDCNT3
  $0004 #equiv GCMDCNT4
  $0005 #equiv PUBPP0
  $0006 #equiv PUBPP1
  $0007 #equiv PUBPP2
  $0008 #equiv GCMDWMK0
  $0009 #equiv GCMDWMK1
  $000A #equiv GCMDWMK2
  $000B #equiv GCMDWMK3
  $000C #equiv GCMDWMK4
  // 
  // ----- G1STAT Bits -----------------------------------------------------
  $0000 #equiv CMDMPT
  $0001 #equiv CMDFUL
  $0002 #equiv CMDLV
  $0003 #equiv HMRGN
  $0004 #equiv VMRGN
  $0005 #equiv CHRBUSY
  $0006 #equiv RCCBUSY
  $0007 #equiv IPUBUSY
  $000F #equiv PUBUSY
  // 
  // ----- G1IE Bits -----------------------------------------------------
  $0000 #equiv CMDMPTIE
  $0001 #equiv CMDFULIE
  $0002 #equiv CMDLVIE
  $0003 #equiv HMRGNIE
  $0004 #equiv VMRGNIE
  $0005 #equiv CHRIE
  $0006 #equiv RCCIE
  $0007 #equiv IPUIE
  $000F #equiv PUIE
  // 
  // ----- G1IR Bits -----------------------------------------------------
  $0000 #equiv CMDMPTIF
  $0001 #equiv CMDFULIF
  $0002 #equiv CMDLVIF
  $0003 #equiv HMRGNIF
  $0004 #equiv VMRGNIF
  $0005 #equiv CHRIF
  $0006 #equiv RCCIF
  $0007 #equiv IPUIF
  $000F #equiv PUIF
  // 
  // ----- G1W1ADRL Bits -----------------------------------------------------
  $0000 #equiv W1ADR0
  $0001 #equiv W1ADR1
  $0002 #equiv W1ADR2
  $0003 #equiv W1ADR3
  $0004 #equiv W1ADR4
  $0005 #equiv W1ADR5
  $0006 #equiv W1ADR6
  $0007 #equiv W1ADR7
  $0008 #equiv W1ADR8
  $0009 #equiv W1ADR9
  $000A #equiv W1ADR10
  $000B #equiv W1ADR11
  $000C #equiv W1ADR12
  $000D #equiv W1ADR13
  $000E #equiv W1ADR14
  $000F #equiv W1ADR15
  // 
  // ----- G1W1ADRH Bits -----------------------------------------------------
  $0000 #equiv W1ADR16
  $0001 #equiv W1ADR17
  $0002 #equiv W1ADR18
  $0003 #equiv W1ADR19
  $0004 #equiv W1ADR20
  $0005 #equiv W1ADR21
  $0006 #equiv W1ADR22
  $0007 #equiv W1ADR23
  // 
  // ----- G1W2ADRL Bits -----------------------------------------------------
  $0000 #equiv W2ADR0
  $0001 #equiv W2ADR1
  $0002 #equiv W2ADR2
  $0003 #equiv W2ADR3
  $0004 #equiv W2ADR4
  $0005 #equiv W2ADR5
  $0006 #equiv W2ADR6
  $0007 #equiv W2ADR7
  $0008 #equiv W2ADR8
  $0009 #equiv W2ADR9
  $000A #equiv W2ADR10
  $000B #equiv W2ADR11
  $000C #equiv W2ADR12
  $000D #equiv W2ADR13
  $000E #equiv W2ADR14
  $000F #equiv W2ADR15
  // 
  // ----- G1W2ADRH Bits -----------------------------------------------------
  $0000 #equiv W2ADR16
  $0001 #equiv W2ADR17
  $0002 #equiv W2ADR18
  $0003 #equiv W2ADR19
  $0004 #equiv W2ADR20
  $0005 #equiv W2ADR21
  $0006 #equiv W2ADR22
  $0007 #equiv W2ADR23
  // 
  // ----- G1PUW Bits -----------------------------------------------------
  $0000 #equiv PUW0
  $0001 #equiv PUW1
  $0002 #equiv PUW2
  $0003 #equiv PUW3
  $0004 #equiv PUW4
  $0005 #equiv PUW5
  $0006 #equiv PUW6
  $0007 #equiv PUW7
  $0008 #equiv PUW8
  $0009 #equiv PUW9
  $000A #equiv PUW10
  // 
  // ----- G1PUH Bits -----------------------------------------------------
  $0000 #equiv PUH0
  $0001 #equiv PUH1
  $0002 #equiv PUH2
  $0003 #equiv PUH3
  $0004 #equiv PUH4
  $0005 #equiv PUH5
  $0006 #equiv PUH6
  $0007 #equiv PUH7
  $0008 #equiv PUH8
  $0009 #equiv PUH9
  $000A #equiv PUH10
  // 
  // ----- G1DPADRL Bits -----------------------------------------------------
  $0000 #equiv DPADR0
  $0001 #equiv DPADR1
  $0002 #equiv DPADR2
  $0003 #equiv DPADR3
  $0004 #equiv DPADR4
  $0005 #equiv DPADR5
  $0006 #equiv DPADR6
  $0007 #equiv DPADR7
  $0008 #equiv DPADR8
  $0009 #equiv DPADR9
  $000A #equiv DPADR10
  $000B #equiv DPADR11
  $000C #equiv DPADR12
  $000D #equiv DPADR13
  $000E #equiv DPADR14
  $000F #equiv DPADR15
  // 
  // ----- G1DPADRH Bits -----------------------------------------------------
  $0000 #equiv DPADR16
  $0001 #equiv DPADR17
  $0002 #equiv DPADR18
  $0003 #equiv DPADR19
  $0004 #equiv DPADR20
  $0005 #equiv DPADR21
  $0006 #equiv DPADR22
  $0007 #equiv DPADR23
  // 
  // ----- G1DPW Bits -----------------------------------------------------
  $0000 #equiv DPW0
  $0001 #equiv DPW1
  $0002 #equiv DPW2
  $0003 #equiv DPW3
  $0004 #equiv DPW4
  $0005 #equiv DPW5
  $0006 #equiv DPW6
  $0007 #equiv DPW7
  $0008 #equiv DPW8
  $0009 #equiv DPW9
  $000A #equiv DPW10
  // 
  // ----- G1DPH Bits -----------------------------------------------------
  $0000 #equiv DPH0
  $0001 #equiv DPH1
  $0002 #equiv DPH2
  $0003 #equiv DPH3
  $0004 #equiv DPH4
  $0005 #equiv DPH5
  $0006 #equiv DPH6
  $0007 #equiv DPH7
  $0008 #equiv DPH8
  $0009 #equiv DPH9
  $000A #equiv DPH10
  // 
  // ----- G1DPWT Bits -----------------------------------------------------
  $0000 #equiv DPWT0
  $0001 #equiv DPWT1
  $0002 #equiv DPWT2
  $0003 #equiv DPWT3
  $0004 #equiv DPWT4
  $0005 #equiv DPWT5
  $0006 #equiv DPWT6
  $0007 #equiv DPWT7
  $0008 #equiv DPWT8
  $0009 #equiv DPWT9
  $000A #equiv DPWT10
  // 
  // ----- G1DPHT Bits -----------------------------------------------------
  $0000 #equiv DPHT0
  $0001 #equiv DPHT1
  $0002 #equiv DPHT2
  $0003 #equiv DPHT3
  $0004 #equiv DPHT4
  $0005 #equiv DPHT5
  $0006 #equiv DPHT6
  $0007 #equiv DPHT7
  $0008 #equiv DPHT8
  $0009 #equiv DPHT9
  $000A #equiv DPHT10
  // 
  // ----- G1CON2 Bits -----------------------------------------------------
  $0000 #equiv DPMODE0
  $0001 #equiv DPMODE1
  $0002 #equiv DPMODE2
  $0005 #equiv DPBPP0
  $0006 #equiv DPBPP1
  $0007 #equiv DPBPP2
  $0008 #equiv DPTEST0
  $0009 #equiv DPTEST1
  $000C #equiv DPSTGER0
  $000D #equiv DPSTGER1
  $000E #equiv DPGWDTH0
  $000F #equiv DPGWDTH1
  // 
  // ----- G1CON3 Bits -----------------------------------------------------
  $0000 #equiv DPHSOE
  $0001 #equiv DPVSOE
  $0002 #equiv DPENOE
  $0003 #equiv DPPWROE
  $0004 #equiv DPHSPOL
  $0005 #equiv DPVSPOL
  $0006 #equiv DPENPOL
  $0007 #equiv DPCLKPOL
  $0008 #equiv DPPOWER
  $0009 #equiv DPPINOE
  // 
  // ----- G1ACTDA Bits -----------------------------------------------------
  $0000 #equiv ACTPIX0
  $0001 #equiv ACTPIX1
  $0002 #equiv ACTPIX2
  $0003 #equiv ACTPIX3
  $0004 #equiv ACTPIX4
  $0005 #equiv ACTPIX5
  $0006 #equiv ACTPIX6
  $0007 #equiv ACTPIX7
  $0008 #equiv ACTLINE0
  $0009 #equiv ACTLINE1
  $000A #equiv ACTLINE2
  $000B #equiv ACTLINE3
  $000C #equiv ACTLINE4
  $000D #equiv ACTLINE5
  $000E #equiv ACTLINE6
  $000F #equiv ACTLINE7
  // 
  // ----- G1HSYNC Bits -----------------------------------------------------
  $0000 #equiv HSST0
  $0001 #equiv HSST1
  $0002 #equiv HSST2
  $0003 #equiv HSST3
  $0004 #equiv HSST4
  $0005 #equiv HSST5
  $0006 #equiv HSST6
  $0007 #equiv HSST7
  $0008 #equiv HSLEN0
  $0009 #equiv HSLEN1
  $000A #equiv HSLEN2
  $000B #equiv HSLEN3
  $000C #equiv HSLEN4
  $000D #equiv HSLEN5
  $000E #equiv HSLEN6
  $000F #equiv HSLEN7
  // 
  // ----- G1VSYNC Bits -----------------------------------------------------
  $0000 #equiv VSST0
  $0001 #equiv VSST1
  $0002 #equiv VSST2
  $0003 #equiv VSST3
  $0004 #equiv VSST4
  $0005 #equiv VSST5
  $0006 #equiv VSST6
  $0007 #equiv VSST7
  $0008 #equiv VSLEN0
  $0009 #equiv VSLEN1
  $000A #equiv VSLEN2
  $000B #equiv VSLEN3
  $000C #equiv VSLEN4
  $000D #equiv VSLEN5
  $000E #equiv VSLEN6
  $000F #equiv VSLEN7
  // 
  // ----- G1DBLCON Bits -----------------------------------------------------
  $0000 #equiv HENST0
  $0001 #equiv HENST1
  $0002 #equiv HENST2
  $0003 #equiv HENST3
  $0004 #equiv HENST4
  $0005 #equiv HENST5
  $0006 #equiv HENST6
  $0007 #equiv HENST7
  $0008 #equiv VENST0
  $0009 #equiv VENST1
  $000A #equiv VENST2
  $000B #equiv VENST3
  $000C #equiv VENST4
  $000D #equiv VENST5
  $000E #equiv VENST6
  $000F #equiv VENST7
  // 
  // ----- G1CLUT Bits -----------------------------------------------------
  $0008 #equiv CLUTRWEN
  $0009 #equiv CLUTTRD
  $000E #equiv CLUTBUSY
  $000F #equiv CLUTEN
  // 
  $0000 #equiv CLUTADR0
  $0001 #equiv CLUTADR1
  $0002 #equiv CLUTADR2
  $0003 #equiv CLUTADR3
  $0004 #equiv CLUTADR4
  $0005 #equiv CLUTADR5
  $0006 #equiv CLUTADR6
  $0007 #equiv CLUTADR7
  // 
  // ----- G1CLUTWR Bits -----------------------------------------------------
  $0000 #equiv CLUTWR0
  $0001 #equiv CLUTWR1
  $0002 #equiv CLUTWR2
  $0003 #equiv CLUTWR3
  $0004 #equiv CLUTWR4
  $0005 #equiv CLUTWR5
  $0006 #equiv CLUTWR6
  $0007 #equiv CLUTWR7
  $0008 #equiv CLUTWR8
  $0009 #equiv CLUTWR9
  $000A #equiv CLUTWR10
  $000B #equiv CLUTWR11
  $000C #equiv CLUTWR12
  $000D #equiv CLUTWR13
  $000E #equiv CLUTWR14
  $000F #equiv CLUTWR15
  // 
  // ----- G1CLUTRD Bits -----------------------------------------------------
  $0000 #equiv CLUTRD0
  $0001 #equiv CLUTRD1
  $0002 #equiv CLUTRD2
  $0003 #equiv CLUTRD3
  $0004 #equiv CLUTRD4
  $0005 #equiv CLUTRD5
  $0006 #equiv CLUTRD6
  $0007 #equiv CLUTRD7
  $0008 #equiv CLUTRD8
  $0009 #equiv CLUTRD9
  $000A #equiv CLUTRD10
  $000B #equiv CLUTRD11
  $000C #equiv CLUTRD12
  $000D #equiv CLUTRD13
  $000E #equiv CLUTRD14
  $000F #equiv CLUTRD15
  // 
  // ----- G1MRGN Bits -----------------------------------------------------
  $0000 #equiv HBAMGN0
  $0001 #equiv HBAMGN1
  $0002 #equiv HBAMGN2
  $0003 #equiv HBAMGN3
  $0004 #equiv HBAMGN4
  $0005 #equiv HBAMGN5
  $0006 #equiv HBAMGN6
  $0007 #equiv HBAMGN7
  $0008 #equiv VBAMGN0
  $0009 #equiv VBAMGN1
  $000A #equiv VBAMGN2
  $000B #equiv VBAMGN3
  $000C #equiv VBAMGN4
  $000D #equiv VBAMGN5
  $000E #equiv VBAMGN6
  $000F #equiv VBAMGN7
  // 
  // ----- G1CHRX Bits -----------------------------------------------------
  $0000 #equiv CURPOSX0
  $0001 #equiv CURPOSX1
  $0002 #equiv CURPOSX2
  $0003 #equiv CURPOSX3
  $0004 #equiv CURPOSX4
  $0005 #equiv CURPOSX5
  $0006 #equiv CURPOSX6
  $0007 #equiv CURPOSX7
  $0008 #equiv CURPOSX8
  $0009 #equiv CURPOSX9
  $000A #equiv CURPOSX10
  // 
  // ----- G1CHRY Bits -----------------------------------------------------
  $0000 #equiv CURPOSY0
  $0001 #equiv CURPOSY1
  $0002 #equiv CURPOSY2
  $0003 #equiv CURPOSY3
  $0004 #equiv CURPOSY4
  $0005 #equiv CURPOSY5
  $0006 #equiv CURPOSY6
  $0007 #equiv CURPOSY7
  $0008 #equiv CURPOSY8
  $0009 #equiv CURPOSY9
  $000A #equiv CURPOSY10
  // 
  // ----- G1IPU Bits -----------------------------------------------------
  $0000 #equiv BFINAL
  $0001 #equiv IPUDONE
  $0002 #equiv WRAPERR
  $0003 #equiv LENERR
  $0004 #equiv BLCKERR
  $0005 #equiv HUFFERR
  // 
  // ----- G1DBEN Bits -----------------------------------------------------
  $0000 #equiv GDBEN0
  $0001 #equiv GDBEN1
  $0002 #equiv GDBEN2
  $0003 #equiv GDBEN3
  $0004 #equiv GDBEN4
  $0005 #equiv GDBEN5
  $0006 #equiv GDBEN6
  $0007 #equiv GDBEN7
  $0008 #equiv GDBEN8
  $0009 #equiv GDBEN9
  $000A #equiv GDBEN10
  $000B #equiv GDBEN11
  $000C #equiv GDBEN12
  $000D #equiv GDBEN13
  $000E #equiv GDBEN14
  $000F #equiv GDBEN15
  // 
  // ----- RCON Bits -----------------------------------------------------
  $0000 #equiv POR
  $0001 #equiv BOR
  $0002 #equiv IDLE
  $0003 #equiv SLEEP
  $0004 #equiv WDTO
  $0005 #equiv SWDTEN
  $0006 #equiv SWR
  $0007 #equiv EXTR
  $0008 #equiv VREGS
  $0009 #equiv CM
  $000E #equiv IOPUWR
  $000F #equiv TRAPR
  // 
  $0008 #equiv PMSLP
  // 
  // ----- OSCCON Bits -----------------------------------------------------
  $0000 #equiv OSWEN
  $0001 #equiv SOSCEN
  $0002 #equiv POSCEN
  $0003 #equiv (CF)                             // [name changed]
  $0005 #equiv LOCK
  $0006 #equiv IOLOCK
  $0007 #equiv CLKLOCK
  // 
  $0001 #equiv LPOSCEN
  $0008 #equiv NOSC0
  $0009 #equiv NOSC1
  $000A #equiv NOSC2
  $000C #equiv COSC0
  $000D #equiv COSC1
  $000E #equiv COSC2
  // 
  // ----- CLKDIV Bits -----------------------------------------------------
  $0004 #equiv G1CLKSEL
  $0005 #equiv PLLEN
  $000B #equiv DOZEN
  $000F #equiv ROI
  // 
  $0006 #equiv CPDIV0
  $0007 #equiv CPDIV1
  $0008 #equiv RCDIV0
  $0009 #equiv RCDIV1
  $000A #equiv RCDIV2
  $000C #equiv DOZE0
  $000D #equiv DOZE1
  $000E #equiv DOZE2
  // 
  // ----- CLKDIV2 Bits -----------------------------------------------------
  $0009 #equiv GCLKDIV0
  $000A #equiv GCLKDIV1
  $000B #equiv GCLKDIV2
  $000C #equiv GCLKDIV3
  $000D #equiv GCLKDIV4
  $000E #equiv GCLKDIV5
  $000F #equiv GCLKDIV6
  // 
  // ----- OSCTUN Bits -----------------------------------------------------
  $0000 #equiv TUN0
  $0001 #equiv TUN1
  $0002 #equiv TUN2
  $0003 #equiv TUN3
  $0004 #equiv TUN4
  $0005 #equiv TUN5
  // 
  // ----- REFOCON Bits -----------------------------------------------------
  $000C #equiv ROSEL
  $000D #equiv ROSSLP
  $000F #equiv ROEN
  // 
  $0008 #equiv RODIV0
  $0009 #equiv RODIV1
  $000A #equiv RODIV2
  $000B #equiv RODIV3
  $000F #equiv ROON
  // 
  // ----- NVMCON Bits -----------------------------------------------------
  $0006 #equiv ERASE
  $000D #equiv WRERR
  $000E #equiv WREN
  $000F #equiv WR
  // 
  $0000 #equiv NVMOP0
  $0001 #equiv NVMOP1
  $0002 #equiv NVMOP2
  $0003 #equiv NVMOP3
  // 
  $0000 #equiv PROGOP0
  $0001 #equiv PROGOP1
  $0002 #equiv PROGOP2
  $0003 #equiv PROGOP3
  // 
  // ----- PMD1 Bits -----------------------------------------------------
  $0000 #equiv ADC1MD
  $0003 #equiv SPI1MD
  $0004 #equiv SPI2MD
  $0005 #equiv U1MD
  $0006 #equiv U2MD
  $0007 #equiv I2C1MD
  $000B #equiv T1MD
  $000C #equiv T2MD
  $000D #equiv T3MD
  $000E #equiv T4MD
  $000F #equiv T5MD
  // 
  // ----- PMD2 Bits -----------------------------------------------------
  $0000 #equiv OC1MD
  $0001 #equiv OC2MD
  $0002 #equiv OC3MD
  $0003 #equiv OC4MD
  $0004 #equiv OC5MD
  $0005 #equiv OC6MD
  $0006 #equiv OC7MD
  $0007 #equiv OC8MD
  $0008 #equiv IC1MD
  $0009 #equiv IC2MD
  $000A #equiv IC3MD
  $000B #equiv IC4MD
  $000C #equiv IC5MD
  $000D #equiv IC6MD
  $000E #equiv IC7MD
  $000F #equiv IC8MD
  // 
  // ----- PMD3 Bits -----------------------------------------------------
  $0001 #equiv I2C2MD
  $0002 #equiv I2C3MD
  $0003 #equiv U3MD
  $0007 #equiv CRCMD
  $0009 #equiv RTCCMD
  $000A #equiv CMPMD
  // 
  $0007 #equiv CRCPMD
  // 
  // ----- PMD4 Bits -----------------------------------------------------
  $0000 #equiv USB1MD
  $0001 #equiv LVDMD
  $0002 #equiv CTMUMD
  $0003 #equiv REFOMD
  $0005 #equiv U4MD
  $0006 #equiv UPWMMD
  // 
  // ----- PMD5 Bits -----------------------------------------------------
  $0000 #equiv OC9MD
  $0008 #equiv IC9MD
  // 
  // ----- PMD6 Bits -----------------------------------------------------
  $0000 #equiv SPI3MD
  $0006 #equiv GFX1MD
  // 
  //   Some useful macros for PWRSAV instructions
  // 
  $0 #equiv SLEEP_MODE
  $1 #equiv IDLE_MODE
  // 
  // ==========================================================================
  // 
  //    Configuration Words
  // 
  //    Configuration words exist in Program Space and their locations are
  //    defined in the device linker script. They can be set in source code
  //    or in the MPLAB IDE. Each configuration word should be specified
  //    only once (multiple settings may be combined.)
  // 
  // ==========================================================================
  // 
  //   Setting configuration words using macros:
  // 
  //   The following macro named 'config' can be used to set configuration words:
  // 
  //   For example, to set CONFIG_REG using the macro above, the following line
  //   can be pasted only at the beginning of the assembly source code,
  //   immediately below the '.include' directive.
  // 
  //         config __CONFIG_REG, SETTING_A & SETTING_B
  // 
  //   Note that the 'config' macro takes two arguments: the first is the name
  //   of a configuration word (in this case, __CONFIG_REG), the second argument
  //   is a boolean expression that may include multiple settings.
  //   The example above would enable SETTING_A and also SETTING_B.
  // 
  //   A description of all possible settings for each configuration word
  //   appears below.
  // 
  // ==========================================================================
  // 
  //   Setting configuration words without using macros:
  // 
  //   To set configuration words without using the 'config' macro,
  //   use the following format:
  // 
  //            .section __CONFIG_REG.sec, code
  //            .global __CONFIG_REG
  // __CONFIG_REG: .pword SETTING_A & SETTING_B
  // 
  //   This source code is equivalent to the expanded macro from the previous
  //   example.
  // 
  // ==========================================================================
  // 
  // ----- CONFIG4 (0x157f8) --------------------------------------------------
  // 
  //   The following settings are available for CONFIG4:
  // 
  // ----- CONFIG3 (0x157fa) --------------------------------------------------
  // 
  //   The following settings are available for CONFIG3:
  // 
  //    Write Protection Flash Page Segment Boundary:
  //      WPFP_WPFP0           Page 0 (0x00)
  //      WPFP_WPFP1           Page 1 (0x400)
  //      WPFP_WPFP2           Page 2 (0x800)
  //      WPFP_WPFP3           Page 3 (0xC00)
  //      WPFP_WPFP4           Page 4 (0x1000)
  //      WPFP_WPFP5           Page 5 (0x1400)
  //      WPFP_WPFP6           Page 6 (0x1800)
  //      WPFP_WPFP7           Page 7 (0x1C00)
  //      WPFP_WPFP8           Page 8 (0x2000)
  //      WPFP_WPFP9           Page 9 (0x2400)
  //      WPFP_WPFP10          Page 10 (0x2800)
  //      WPFP_WPFP11          Page 11 (0x2C00)
  //      WPFP_WPFP12          Page 12 (0x3000)
  //      WPFP_WPFP13          Page 13 (0x3400)
  //      WPFP_WPFP14          Page 14 (0x3800)
  //      WPFP_WPFP15          Page 15 (0x3C00)
  //      WPFP_WPFP16          Page 16 (0x4000)
  //      WPFP_WPFP17          Page 17 (0x4400)
  //      WPFP_WPFP18          Page 18 (0x4800)
  //      WPFP_WPFP19          Page 19 (0x4C00)
  //      WPFP_WPFP20          Page 20 (0x5000)
  //      WPFP_WPFP21          Page 21 (0x5400)
  //      WPFP_WPFP22          Page 22 (0x5800)
  //      WPFP_WPFP23          Page 23 (0x5C00)
  //      WPFP_WPFP24          Page 24 (0x6000)
  //      WPFP_WPFP25          Page 25 (0x6400)
  //      WPFP_WPFP26          Page 26 (0x6800)
  //      WPFP_WPFP27          Page 27 (0x6C00)
  //      WPFP_WPFP28          Page 28 (0x7000)
  //      WPFP_WPFP29          Page 29 (0x7400)
  //      WPFP_WPFP30          Page 30 (0x7800)
  //      WPFP_WPFP31          Page 31 (0x7C00)
  //      WPFP_WPFP32          Page 32 (0x8000)
  //      WPFP_WPFP33          Page 33 (0x8400)
  //      WPFP_WPFP34          Page 34 (0x8800)
  //      WPFP_WPFP35          Page 35 (0x8C00)
  //      WPFP_WPFP36          Page 36 (0x9000)
  //      WPFP_WPFP37          Page 37 (0x9400)
  //      WPFP_WPFP38          Page 38 (0x9800)
  //      WPFP_WPFP39          Page 39 (0x9C00)
  //      WPFP_WPFP40          Page 40 (0xA000)
  //      WPFP_WPFP41          Page 41 (0xA400)
  //      WPFP_WPFP42          Page 42 (0xA800)
  //      WPFP_WPFP43          Page 43 (0xAC00)
  //      WPFP_WPFP44          Page 44 (0xB000)
  //      WPFP_WPFP45          Page 45 (0xB400)
  //      WPFP_WPFP46          Page 46 (0xB800)
  //      WPFP_WPFP47          Page 47 (0xBC00)
  //      WPFP_WPFP48          Page 48 (0xC000)
  //      WPFP_WPFP49          Page 49 (0xC400)
  //      WPFP_WPFP50          Page 50 (0xC800)
  //      WPFP_WPFP51          Page 51 (0xCC00)
  //      WPFP_WPFP52          Page 52 (0xD000)
  //      WPFP_WPFP53          Page 53 (0xD400)
  //      WPFP_WPFP54          Page 54 (0xD800)
  //      WPFP_WPFP55          Page 55 (0xDC00)
  //      WPFP_WPFP56          Page 56 (0xE000)
  //      WPFP_WPFP57          Page 57 (0xE400)
  //      WPFP_WPFP58          Page 58 (0xE800)
  //      WPFP_WPFP59          Page 59 (0xEC00)
  //      WPFP_WPFP60          Page 60 (0xF000)
  //      WPFP_WPFP61          Page 61 (0xF400)
  //      WPFP_WPFP62          Page 62 (0xF800)
  //      WPFP_WPFP63          Page 63 (0xFC00)
  //      WPFP_WPFP64          Page 64 (0x10000)
  //      WPFP_WPFP65          Page 65 (0x10400)
  //      WPFP_WPFP66          Page 66 (0x10800)
  //      WPFP_WPFP67          Page 67 (0x10C00)
  //      WPFP_WPFP68          Page 68 (0x11000)
  //      WPFP_WPFP69          Page 69 (0x11400)
  //      WPFP_WPFP70          Page 70 (0x11800)
  //      WPFP_WPFP71          Page 71 (0x11C00)
  //      WPFP_WPFP72          Page 72 (0x12000)
  //      WPFP_WPFP73          Page 73 (0x12400)
  //      WPFP_WPFP74          Page 74 (0x12800)
  //      WPFP_WPFP75          Page 75 (0x12C00)
  //      WPFP_WPFP76          Page 76 (0x13000)
  //      WPFP_WPFP77          Page 77 (0x13400)
  //      WPFP_WPFP78          Page 78 (0x13800)
  //      WPFP_WPFP79          Page 79 (0x13C00)
  //      WPFP_WPFP80          Page 80 (0x14000)
  //      WPFP_WPFP81          Page 81 (0x14400)
  //      WPFP_WPFP82          Page 82 (0x14800)
  //      WPFP_WPFP83          Page 83 (0x14C00)
  //      WPFP_WPFP84          Page 84 (0x15000)
  //      WPFP_WPFP85          Page 85 (0x15400)
  //      WPFP_WPFP255         Highest Page (same as page 85)
  // 
  //    Secondary Oscillator Power Mode Select:
  //      SOSCSEL_EC           External clock (SCLKI) or Digital I/O mode(
  //      SOSCSEL_LPSOSC       Secondary oscillator is in Low-Power (low drive strength) Oscillator mode
  //      SOSCSEL_SOSC         Secondary oscillator is in Default (high drive strength) Oscillator mode
  // 
  //    Voltage Regulator Wake-up Time Select:
  //      WUTSEL_FST           Fast regulator start-up time is used
  //      WUTSEL_LEG           Default regulator start-up time is used
  // 
  //    Alternate PMP Pin Mapping:
  //      ALTPMP_ALTPMPEN      EPMP pins are in alternate location mode
  //      ALTPMP_ALPMPDIS      EPMP pins are in default location mode
  // 
  //    Segment Write Protection Disable:
  //      WPDIS_WPEN           Segmented code protection is enabled protected segment is defined by the WPEND, WPCFG and WPFPx Configuration bits
  //      WPDIS_WPDIS          Segmented code protection is disabled
  // 
  //    Write Protect Configuration Page Select:
  //      WPCFG_WPCFGEN        Last page and Flash Configuration Words are write-protected, provided WPDIS = 0
  //      WPCFG_WPCFGDIS       Last page (at the top of program memory) and Flash Configuration Words are not write-protected
  // 
  //    Segment Write Protection End Page Select:
  //      WPEND_WPSTARTMEM     Protected code segment lower boundary is at the bottom of the program memory (000000h) upper boundary is the code page specified by WPFP
  //      WPEND_WPENDMEM       Protected code segment upper boundary is at the last page of program memory the lower boundary is the code page specified by WPFP
  // 
  $FF00 #equiv WPFP_WPFP0                       // Page 0 (0x00)
  $FF01 #equiv WPFP_WPFP1                       // Page 1 (0x400)
  $FF02 #equiv WPFP_WPFP2                       // Page 2 (0x800)
  $FF03 #equiv WPFP_WPFP3                       // Page 3 (0xC00)
  $FF04 #equiv WPFP_WPFP4                       // Page 4 (0x1000)
  $FF05 #equiv WPFP_WPFP5                       // Page 5 (0x1400)
  $FF06 #equiv WPFP_WPFP6                       // Page 6 (0x1800)
  $FF07 #equiv WPFP_WPFP7                       // Page 7 (0x1C00)
  $FF08 #equiv WPFP_WPFP8                       // Page 8 (0x2000)
  $FF09 #equiv WPFP_WPFP9                       // Page 9 (0x2400)
  $FF0A #equiv WPFP_WPFP10                      // Page 10 (0x2800)
  $FF0B #equiv WPFP_WPFP11                      // Page 11 (0x2C00)
  $FF0C #equiv WPFP_WPFP12                      // Page 12 (0x3000)
  $FF0D #equiv WPFP_WPFP13                      // Page 13 (0x3400)
  $FF0E #equiv WPFP_WPFP14                      // Page 14 (0x3800)
  $FF0F #equiv WPFP_WPFP15                      // Page 15 (0x3C00)
  $FF10 #equiv WPFP_WPFP16                      // Page 16 (0x4000)
  $FF11 #equiv WPFP_WPFP17                      // Page 17 (0x4400)
  $FF12 #equiv WPFP_WPFP18                      // Page 18 (0x4800)
  $FF13 #equiv WPFP_WPFP19                      // Page 19 (0x4C00)
  $FF14 #equiv WPFP_WPFP20                      // Page 20 (0x5000)
  $FF15 #equiv WPFP_WPFP21                      // Page 21 (0x5400)
  $FF16 #equiv WPFP_WPFP22                      // Page 22 (0x5800)
  $FF17 #equiv WPFP_WPFP23                      // Page 23 (0x5C00)
  $FF18 #equiv WPFP_WPFP24                      // Page 24 (0x6000)
  $FF19 #equiv WPFP_WPFP25                      // Page 25 (0x6400)
  $FF1A #equiv WPFP_WPFP26                      // Page 26 (0x6800)
  $FF1B #equiv WPFP_WPFP27                      // Page 27 (0x6C00)
  $FF1C #equiv WPFP_WPFP28                      // Page 28 (0x7000)
  $FF1D #equiv WPFP_WPFP29                      // Page 29 (0x7400)
  $FF1E #equiv WPFP_WPFP30                      // Page 30 (0x7800)
  $FF1F #equiv WPFP_WPFP31                      // Page 31 (0x7C00)
  $FF20 #equiv WPFP_WPFP32                      // Page 32 (0x8000)
  $FF21 #equiv WPFP_WPFP33                      // Page 33 (0x8400)
  $FF22 #equiv WPFP_WPFP34                      // Page 34 (0x8800)
  $FF23 #equiv WPFP_WPFP35                      // Page 35 (0x8C00)
  $FF24 #equiv WPFP_WPFP36                      // Page 36 (0x9000)
  $FF25 #equiv WPFP_WPFP37                      // Page 37 (0x9400)
  $FF26 #equiv WPFP_WPFP38                      // Page 38 (0x9800)
  $FF27 #equiv WPFP_WPFP39                      // Page 39 (0x9C00)
  $FF28 #equiv WPFP_WPFP40                      // Page 40 (0xA000)
  $FF29 #equiv WPFP_WPFP41                      // Page 41 (0xA400)
  $FF2A #equiv WPFP_WPFP42                      // Page 42 (0xA800)
  $FF2B #equiv WPFP_WPFP43                      // Page 43 (0xAC00)
  $FF2C #equiv WPFP_WPFP44                      // Page 44 (0xB000)
  $FF2D #equiv WPFP_WPFP45                      // Page 45 (0xB400)
  $FF2E #equiv WPFP_WPFP46                      // Page 46 (0xB800)
  $FF2F #equiv WPFP_WPFP47                      // Page 47 (0xBC00)
  $FF30 #equiv WPFP_WPFP48                      // Page 48 (0xC000)
  $FF31 #equiv WPFP_WPFP49                      // Page 49 (0xC400)
  $FF32 #equiv WPFP_WPFP50                      // Page 50 (0xC800)
  $FF33 #equiv WPFP_WPFP51                      // Page 51 (0xCC00)
  $FF34 #equiv WPFP_WPFP52                      // Page 52 (0xD000)
  $FF35 #equiv WPFP_WPFP53                      // Page 53 (0xD400)
  $FF36 #equiv WPFP_WPFP54                      // Page 54 (0xD800)
  $FF37 #equiv WPFP_WPFP55                      // Page 55 (0xDC00)
  $FF38 #equiv WPFP_WPFP56                      // Page 56 (0xE000)
  $FF39 #equiv WPFP_WPFP57                      // Page 57 (0xE400)
  $FF3A #equiv WPFP_WPFP58                      // Page 58 (0xE800)
  $FF3B #equiv WPFP_WPFP59                      // Page 59 (0xEC00)
  $FF3C #equiv WPFP_WPFP60                      // Page 60 (0xF000)
  $FF3D #equiv WPFP_WPFP61                      // Page 61 (0xF400)
  $FF3E #equiv WPFP_WPFP62                      // Page 62 (0xF800)
  $FF3F #equiv WPFP_WPFP63                      // Page 63 (0xFC00)
  $FF40 #equiv WPFP_WPFP64                      // Page 64 (0x10000)
  $FF41 #equiv WPFP_WPFP65                      // Page 65 (0x10400)
  $FF42 #equiv WPFP_WPFP66                      // Page 66 (0x10800)
  $FF43 #equiv WPFP_WPFP67                      // Page 67 (0x10C00)
  $FF44 #equiv WPFP_WPFP68                      // Page 68 (0x11000)
  $FF45 #equiv WPFP_WPFP69                      // Page 69 (0x11400)
  $FF46 #equiv WPFP_WPFP70                      // Page 70 (0x11800)
  $FF47 #equiv WPFP_WPFP71                      // Page 71 (0x11C00)
  $FF48 #equiv WPFP_WPFP72                      // Page 72 (0x12000)
  $FF49 #equiv WPFP_WPFP73                      // Page 73 (0x12400)
  $FF4A #equiv WPFP_WPFP74                      // Page 74 (0x12800)
  $FF4B #equiv WPFP_WPFP75                      // Page 75 (0x12C00)
  $FF4C #equiv WPFP_WPFP76                      // Page 76 (0x13000)
  $FF4D #equiv WPFP_WPFP77                      // Page 77 (0x13400)
  $FF4E #equiv WPFP_WPFP78                      // Page 78 (0x13800)
  $FF4F #equiv WPFP_WPFP79                      // Page 79 (0x13C00)
  $FF50 #equiv WPFP_WPFP80                      // Page 80 (0x14000)
  $FF51 #equiv WPFP_WPFP81                      // Page 81 (0x14400)
  $FF52 #equiv WPFP_WPFP82                      // Page 82 (0x14800)
  $FF53 #equiv WPFP_WPFP83                      // Page 83 (0x14C00)
  $FF54 #equiv WPFP_WPFP84                      // Page 84 (0x15000)
  $FF55 #equiv WPFP_WPFP85                      // Page 85 (0x15400)
  $FFFF #equiv WPFP_WPFP255                     // Highest Page (same as page 85)
  // 
  $FCFF #equiv SOSCSEL_EC                       // External clock (SCLKI) or Digital I/O mode(
  $FDFF #equiv SOSCSEL_LPSOSC                   // Secondary oscillator is in Low-Power (low drive strength) Oscillator mode
  $FFFF #equiv SOSCSEL_SOSC                     // Secondary oscillator is in Default (high drive strength) Oscillator mode
  // 
  $F7FF #equiv WUTSEL_FST                       // Fast regulator start-up time is used
  $FFFF #equiv WUTSEL_LEG                       // Default regulator start-up time is used
  // 
  $EFFF #equiv ALTPMP_ALTPMPEN                  // EPMP pins are in alternate location mode
  $FFFF #equiv ALTPMP_ALPMPDIS                  // EPMP pins are in default location mode
  // 
  $DFFF #equiv WPDIS_WPEN                       // Segmented code protection is enabled; protected segment is defined by the WPEND WPCFG and WPFPx Configuration bits
  $FFFF #equiv WPDIS_WPDIS                      // Segmented code protection is disabled
  // 
  $BFFF #equiv WPCFG_WPCFGEN                    // Last page and Flash Configuration Words are write-protected provided WPDIS = 0
  $FFFF #equiv WPCFG_WPCFGDIS                   // Last page (at the top of program memory) and Flash Configuration Words are not write-protected
  // 
  $7FFF #equiv WPEND_WPSTARTMEM                 // Protected code segment lower boundary is at the bottom of the program memory (000000h); upper boundary is the code page specified by WPFP
  $FFFF #equiv WPEND_WPENDMEM                   // Protected code segment upper boundary is at the last page of program memory; the lower boundary is the code page specified by WPFP
  // 
  // ----- CONFIG2 (0x157fc) --------------------------------------------------
  // 
  //   The following settings are available for CONFIG2:
  // 
  //    Primary Oscillator Select:
  //      POSCMOD_EC           EC Oscillator mode is selected
  //      POSCMOD_XT           XT Oscillator mode is selected
  //      POSCMOD_HS           HS Oscillator mode is selected
  //      POSCMOD_NONE         Primary oscillator is disabled
  // 
  //    IOLOCK One-Way Set Enable:
  //      IOL1WAY_OFF          The IOLOCK bit can be set and cleared as needed, provided the unlock sequence has been completed
  //      IOL1WAY_ON           The IOLOCK bit (OSCCON<6>) can be set once, provided the unlock sequence has been completed. Once set, the Peripheral Pin Select registers cannot be written to a second time.
  // 
  //    OSCO Pin Configuration:
  //      OSCIOFNC_ON          OSCO/CLKO/RC15 functions as port I/O (RC15)
  //      OSCIOFNC_OFF         OSCO/CLKO/RC15 functions as CLKO (FOSC/2)
  // 
  //    Clock Switching and Fail-Safe Clock Monitor:
  //      FCKSM_CSECME         Clock switching is enabled, Fail-Safe Clock Monitor is enabled
  //      FCKSM_CSECMD         Clock switching is enabled, Fail-Safe Clock Monitor is disabled
  //      FCKSM_CSDCMD         Clock switching and Fail-Safe Clock Monitor are disabled
  // 
  //    Initial Oscillator Select:
  //      FNOSC_FRC            Fast RC Oscillator (FRC)
  //      FNOSC_FRCPLL         Fast RC Oscillator with Postscaler and PLL module (FRCPLL)
  //      FNOSC_PRI            Primary Oscillator (XT, HS, EC)
  //      FNOSC_PRIPLL         Primary Oscillator with PLL module (XTPLL, HSPLL, ECPLL)
  //      FNOSC_SOSC           Secondary Oscillator (SOSC)
  //      FNOSC_LPRC           Low-Power RC Oscillator (LPRC)
  //      FNOSC_FRCDIV         Fast RC Oscillator with Postscaler (FRCDIV)
  // 
  //    96MHz PLL Startup Select:
  //      PLL96MHZ_OFF         96 MHz PLL is software controlled (can be enabled by setting the PLLEN bit in CLKDIV<5>)
  //      PLL96MHZ_ON          96 MHz PLL is enabled automatically on start-up
  // 
  //    96 MHz PLL Prescaler Select:
  //      PLLDIV_NODIV         Oscillator input is used directly (4 MHz input)
  //      PLLDIV_DIV2          Oscillator input is divided by 2 (8 MHz input)
  //      PLLDIV_DIV3          Oscillator input is divided by 3 (12 MHz input)
  //      PLLDIV_DIV4          Oscillator input is divided by 4 (16 MHz input)
  //      PLLDIV_DIV5          Oscillator input is divided by 5 (20 MHz input)
  //      PLLDIV_DIV6          Oscillator input is divided by 6 (24 MHz input)
  //      PLLDIV_DIV8          Oscillator input is divided by 8 (32 MHz input)
  //      PLLDIV_DIV12         Oscillator input is divided by 12 (48 MHz input)
  // 
  //    Internal External Switchover:
  //      IESO_OFF             IESO mode (Two-Speed Start-up) is disabled
  //      IESO_ON              IESO mode (Two-Speed Start-up) is enabled
  // 
  $FFFC #equiv POSCMOD_EC                       // EC Oscillator mode is selected
  $FFFD #equiv POSCMOD_XT                       // XT Oscillator mode is selected
  $FFFE #equiv POSCMOD_HS                       // HS Oscillator mode is selected
  $FFFF #equiv POSCMOD_NONE                     // Primary oscillator is disabled
  // 
  $FFEF #equiv IOL1WAY_OFF                      // The IOLOCK bit can be set and cleared as needed provided the unlock sequence has been completed
  $FFFF #equiv IOL1WAY_ON                       // The IOLOCK bit (OSCCON<6>) can be set once provided the unlock sequence has been completed. Once set the Peripheral Pin Select registers cannot be written to a second time.
  // 
  $FFDF #equiv OSCIOFNC_ON                      // OSCO/CLKO/RC15 functions as port I/O (RC15)
  $FFFF #equiv OSCIOFNC_OFF                     // OSCO/CLKO/RC15 functions as CLKO (FOSC/2)
  // 
  $FF3F #equiv FCKSM_CSECME                     // Clock switching is enabled Fail-Safe Clock Monitor is enabled
  $FF7F #equiv FCKSM_CSECMD                     // Clock switching is enabled Fail-Safe Clock Monitor is disabled
  $FFBF #equiv FCKSM_CSDCMD                     // Clock switching and Fail-Safe Clock Monitor are disabled
  // 
  $F8FF #equiv FNOSC_FRC                        // Fast RC Oscillator (FRC)
  $F9FF #equiv FNOSC_FRCPLL                     // Fast RC Oscillator with Postscaler and PLL module (FRCPLL)
  $FAFF #equiv FNOSC_PRI                        // Primary Oscillator (XT HS EC)
  $FBFF #equiv FNOSC_PRIPLL                     // Primary Oscillator with PLL module (XTPLL HSPLL ECPLL)
  $FCFF #equiv FNOSC_SOSC                       // Secondary Oscillator (SOSC)
  $FDFF #equiv FNOSC_LPRC                       // Low-Power RC Oscillator (LPRC)
  $FFFF #equiv FNOSC_FRCDIV                     // Fast RC Oscillator with Postscaler (FRCDIV)
  // 
  $F7FF #equiv PLL96MHZ_OFF                     // 96 MHz PLL is software controlled (can be enabled by setting the PLLEN bit in CLKDIV<5>)
  $FFFF #equiv PLL96MHZ_ON                      // 96 MHz PLL is enabled automatically on start-up
  // 
  $8FFF #equiv PLLDIV_NODIV                     // Oscillator input is used directly (4 MHz input)
  $9FFF #equiv PLLDIV_DIV2                      // Oscillator input is divided by 2 (8 MHz input)
  $AFFF #equiv PLLDIV_DIV3                      // Oscillator input is divided by 3 (12 MHz input)
  $BFFF #equiv PLLDIV_DIV4                      // Oscillator input is divided by 4 (16 MHz input)
  $CFFF #equiv PLLDIV_DIV5                      // Oscillator input is divided by 5 (20 MHz input)
  $DFFF #equiv PLLDIV_DIV6                      // Oscillator input is divided by 6 (24 MHz input)
  $EFFF #equiv PLLDIV_DIV8                      // Oscillator input is divided by 8 (32 MHz input)
  $FFFF #equiv PLLDIV_DIV12                     // Oscillator input is divided by 12 (48 MHz input)
  // 
  $7FFF #equiv IESO_OFF                         // IESO mode (Two-Speed Start-up) is disabled
  $FFFF #equiv IESO_ON                          // IESO mode (Two-Speed Start-up) is enabled
  // 
  // ----- CONFIG1 (0x157fe) --------------------------------------------------
  // 
  //   The following settings are available for CONFIG1:
  // 
  //    Watchdog Timer Postscaler:
  //      WDTPS_PS1            1:1
  //      WDTPS_PS2            1:2
  //      WDTPS_PS4            1:4
  //      WDTPS_PS8            1:8
  //      WDTPS_PS16           1:16
  //      WDTPS_PS32           1:32
  //      WDTPS_PS64           1:64
  //      WDTPS_PS128          1:128
  //      WDTPS_PS256          1:256
  //      WDTPS_PS512          1:512
  //      WDTPS_PS1024         1:1,024
  //      WDTPS_PS2048         1:2,048
  //      WDTPS_PS4096         1:4,096
  //      WDTPS_PS8192         1:8,192
  //      WDTPS_PS16384        1:16,384
  //      WDTPS_PS32768        1:32,768
  // 
  //    WDT Prescaler:
  //      FWPSA_PR32           Prescaler ratio of 1:32
  //      FWPSA_PR128          Prescaler ratio of 1:128
  // 
  //    Alternate VREF location Enable:
  //      ALTVREF_ALTVREFEN    VREF is on an alternate pin (VREF+ on RB0 and VREF- on RB1)
  //      ALTVREF_ALTVREDIS    VREF is on a default pin (VREF+ on RA9 and VREF- on RA10)
  // 
  //    Windowed WDT:
  //      WINDIS_ON            Windowed Watchdog Timer is enabled FWDTEN must be 1
  //      WINDIS_OFF           Standard Watchdog Timer enabled,(Windowed-mode is disabled)
  // 
  //    Watchdog Timer:
  //      FWDTEN_OFF           Watchdog Timer is disabled
  //      FWDTEN_ON            Watchdog Timer is enabled
  // 
  //    Emulator Pin Placement Select bits:
  //      ICS_PGx3             Emulator functions are shared with PGEC3/PGED3
  //      ICS_PGx2             Emulator functions are shared with PGEC2/PGED2
  //      ICS_PGx1             Emulator functions are shared with PGEC1/PGED1
  // 
  //    General Segment Write Protect:
  //      GWRP_ON              Writes to program memory are not allowed
  //      GWRP_OFF             Writes to program memory are allowed
  // 
  //    General Segment Code Protect:
  //      GCP_ON               Code protection is enabled for the entire program memory space
  //      GCP_OFF              Code protection is disabled
  // 
  //    JTAG Port Enable:
  //      JTAGEN_OFF           JTAG port is disabled
  //      JTAGEN_ON            JTAG port is enabled
  // 
  $7FF0 #equiv WDTPS_PS1                        // 1:1
  $7FF1 #equiv WDTPS_PS2                        // 1:2
  $7FF2 #equiv WDTPS_PS4                        // 1:4
  $7FF3 #equiv WDTPS_PS8                        // 1:8
  $7FF4 #equiv WDTPS_PS16                       // 1:16
  $7FF5 #equiv WDTPS_PS32                       // 1:32
  $7FF6 #equiv WDTPS_PS64                       // 1:64
  $7FF7 #equiv WDTPS_PS128                      // 1:128
  $7FF8 #equiv WDTPS_PS256                      // 1:256
  $7FF9 #equiv WDTPS_PS512                      // 1:512
  $7FFA #equiv WDTPS_PS1024                     // 1:1024
  $7FFB #equiv WDTPS_PS2048                     // 1:2048
  $7FFC #equiv WDTPS_PS4096                     // 1:4096
  $7FFD #equiv WDTPS_PS8192                     // 1:8192
  $7FFE #equiv WDTPS_PS16384                    // 1:16384
  $7FFF #equiv WDTPS_PS32768                    // 1:32768
  // 
  $7FEF #equiv FWPSA_PR32                       // Prescaler ratio of 1:32
  $7FFF #equiv FWPSA_PR128                      // Prescaler ratio of 1:128
  // 
  $7FDF #equiv ALTVREF_ALTVREFEN                // VREF is on an alternate pin (VREF+ on RB0 and VREF- on RB1)
  $7FFF #equiv ALTVREF_ALTVREDIS                // VREF is on a default pin (VREF+ on RA9 and VREF- on RA10)
  // 
  $7FBF #equiv WINDIS_ON                        // Windowed Watchdog Timer is enabled; FWDTEN must be 1
  $7FFF #equiv WINDIS_OFF                       // Standard Watchdog Timer enabled(Windowed-mode is disabled)
  // 
  $7F7F #equiv FWDTEN_OFF                       // Watchdog Timer is disabled
  $7FFF #equiv FWDTEN_ON                        // Watchdog Timer is enabled
  // 
  $7DFF #equiv ICS_PGx3                         // Emulator functions are shared with PGEC3/PGED3
  $7EFF #equiv ICS_PGx2                         // Emulator functions are shared with PGEC2/PGED2
  $7FFF #equiv ICS_PGx1                         // Emulator functions are shared with PGEC1/PGED1
  // 
  $6FFF #equiv GWRP_ON                          // Writes to program memory are not allowed
  $7FFF #equiv GWRP_OFF                         // Writes to program memory are allowed
  // 
  $5FFF #equiv GCP_ON                           // Code protection is enabled for the entire program memory space
  $7FFF #equiv GCP_OFF                          // Code protection is disabled
  // 
  $3FFF #equiv JTAGEN_OFF                       // JTAG port is disabled
  $7FFF #equiv JTAGEN_ON                        // JTAG port is enabled
  // 

endModule
