
xVersion" 2012.10.10.1"

module tmr1

private

  uses
    hw_config
    timers
    utils
  endUses


  // //////////////////////////////////////////////////////////////////////////

  timer Flash1ReadTimer
  timer Flash1WriteTimer
  timer Flash1Timeout


  // //////////////////////////////////////////////////////////////////////////

  : _T1Interrupt ( -- )            #// Timer 1 interrupt

    // breakPoint Timer1Interrupt      // Halt debugger

    interruptProlog                 // Setup for interrupt processing
    try
      bitClear IFS0 T1IF            // Clear interrupt cause

      Flash1ReadTimer.tick          // Process timers
      Flash1WriteTimer.tick
      Flash1Timeout.tick

    finally
      interruptEpilog               // Restore foreground environment
    endTry

  interrupt; used global            // Interrupt handler must end in interupt;
                                    // so that retfie will be compiled for ret,
                                    // it must be set used to not be optimized
                                    // out and global for the linker to be able
                                    // to find it.


  // //////////////////////////////////////////////////////////////////////////

  ProcessorSpeed >f 2000 / 1 - constant PR1_Value

  : tmr1.setup ( -- )

    #// setup timer 1 for a 1ms period

    PR1_Value reg! PR1
  ;

public

  export  tmr1.setup                (   --    )

  export  Flash1ReadTimer.fired     (   -- f  )
  export  Flash1ReadTimer.start     ( n --    )
  export  Flash1ReadTimer.stop      (   --    )
  export  Flash1WriteTimer.fired    (   -- f  )
  export  Flash1WriteTimer.start    ( n --    )
  export  Flash1WriteTimer.stop     (   --    )
  export  Flash1Timeout.fired       (   -- f  )
  export  Flash1Timeout.start       ( n --    )
  export  Flash1Timeout.stop        (   --    )

endModule

